=== modified file 'breezy/__init__.py'
--- breezy/__init__.py	2020-02-14 03:16:54 +0000
+++ breezy/__init__.py	2020-02-18 01:57:45 +0000
@@ -29,8 +29,6 @@
 We hope you enjoy this library.
 """
 
-from __future__ import absolute_import
-
 import time
 
 # Keep track of when breezy was first imported, so that we can give rough
@@ -43,7 +41,7 @@
 
 __copyright__ = (
     "Copyright 2005-2012 Canonical Ltd.\n"
-    "Copyright 2017-2019 Breezy developers"
+    "Copyright 2017-2020 Breezy developers"
 )
 
 # same format as sys.version_info: "A tuple containing the five components of

=== modified file 'breezy/_annotator_py.py'
--- breezy/_annotator_py.py	2020-02-07 02:14:30 +0000
+++ breezy/_annotator_py.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Functionality for doing annotations in the 'optimal' way"""
 
-from __future__ import absolute_import
-
 from .lazy_import import lazy_import
 lazy_import(globals(), """
 

=== modified file 'breezy/_annotator_pyx.pyx'
--- breezy/_annotator_pyx.pyx	2018-07-01 22:44:13 +0000
+++ breezy/_annotator_pyx.pyx	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Functionality for doing annotations in the 'optimal' way"""
 
-from __future__ import absolute_import
-
 
 cdef extern from "python-compat.h":
     pass

=== modified file 'breezy/_bencode_pyx.pyx'
--- breezy/_bencode_pyx.pyx	2018-08-21 19:28:52 +0000
+++ breezy/_bencode_pyx.pyx	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Pyrex implementation for bencode coder/decoder"""
 
-from __future__ import absolute_import
-
 from cpython.bool cimport (
     PyBool_Check,
     )

=== modified file 'breezy/_chunks_to_lines_py.py'
--- breezy/_chunks_to_lines_py.py	2017-06-11 01:12:29 +0000
+++ breezy/_chunks_to_lines_py.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """The python implementation of chunks_to_lines"""
 
-from __future__ import absolute_import
-
 
 def chunks_to_lines(chunks):
     """Re-split chunks into simple lines.

=== modified file 'breezy/_chunks_to_lines_pyx.pyx'
--- breezy/_chunks_to_lines_pyx.pyx	2018-07-01 20:02:53 +0000
+++ breezy/_chunks_to_lines_pyx.pyx	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Pyrex extensions for converting chunks to lines."""
 
-from __future__ import absolute_import
-
 
 cdef extern from "python-compat.h":
     pass

=== modified file 'breezy/_known_graph_py.py'
--- breezy/_known_graph_py.py	2020-02-07 02:14:30 +0000
+++ breezy/_known_graph_py.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 """Implementation of Graph algorithms when we have already loaded everything.
 """
 
-from __future__ import absolute_import
-
 try:
     from collections.abc import deque
 except ImportError:  # python < 3.7

=== modified file 'breezy/_known_graph_pyx.pyx'
--- breezy/_known_graph_pyx.pyx	2019-01-27 18:53:46 +0000
+++ breezy/_known_graph_pyx.pyx	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 """Implementation of Graph algorithms when we have already loaded everything.
 """
 
-from __future__ import absolute_import
-
 cdef extern from "python-compat.h":
     pass
 

=== modified file 'breezy/_readdir_py.py'
--- breezy/_readdir_py.py	2017-11-12 13:53:51 +0000
+++ breezy/_readdir_py.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Python implementation of readdir interface."""
 
-from __future__ import absolute_import
-
 import stat
 
 

=== modified file 'breezy/_readdir_pyx.pyx'
--- breezy/_readdir_pyx.pyx	2018-08-18 22:45:58 +0000
+++ breezy/_readdir_pyx.pyx	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Wrapper for readdir which returns files ordered by inode."""
 
-from __future__ import absolute_import
-
 
 import os
 import sys

=== modified file 'breezy/_rio_py.py'
--- breezy/_rio_py.py	2018-11-11 04:08:32 +0000
+++ breezy/_rio_py.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Python implementation of _read_stanza_*."""
 
-from __future__ import absolute_import
-
 import re
 
 from .rio import (

=== modified file 'breezy/_rio_pyx.pyx'
--- breezy/_rio_pyx.pyx	2018-08-18 19:43:40 +0000
+++ breezy/_rio_pyx.pyx	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Pyrex implementation of _read_stanza_*."""
 
-from __future__ import absolute_import
-
 
 cdef extern from "python-compat.h":
     pass

=== modified file 'breezy/_simple_set_pyx.pyx'
--- breezy/_simple_set_pyx.pyx	2017-06-21 22:25:57 +0000
+++ breezy/_simple_set_pyx.pyx	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Definition of a class that is similar to Set with some small changes."""
 
-from __future__ import absolute_import
-
 from cpython.object cimport (
     hashfunc,
     Py_EQ,

=== modified file 'breezy/_static_tuple_py.py'
--- breezy/_static_tuple_py.py	2020-02-07 02:14:30 +0000
+++ breezy/_static_tuple_py.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 strings.
 """
 
-from __future__ import absolute_import
-
 import sys
 
 

=== modified file 'breezy/_termcolor.py'
--- breezy/_termcolor.py	2018-11-11 04:08:32 +0000
+++ breezy/_termcolor.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import os
 import sys
 

=== modified file 'breezy/_walkdirs_win32.pyx'
--- breezy/_walkdirs_win32.pyx	2017-06-10 00:09:13 +0000
+++ breezy/_walkdirs_win32.pyx	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Helper functions for Walkdirs on win32."""
 
-from __future__ import absolute_import
-
 
 cdef extern from "python-compat.h":
     struct _HANDLE:

=== modified file 'breezy/add.py'
--- breezy/add.py	2018-11-10 17:52:47 +0000
+++ breezy/add.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Helper functions for adding files to working trees."""
 
-from __future__ import absolute_import
-
 import sys
 import os
 

=== modified file 'breezy/annotate.py'
--- breezy/annotate.py	2020-01-11 17:41:33 +0000
+++ breezy/annotate.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """File annotate based on weave storage"""
 
-from __future__ import absolute_import
-
 # TODO: Choice of more or less verbose formats:
 #
 # interposed: show more details between blocks of modified lines

=== modified file 'breezy/archive/__init__.py'
--- breezy/archive/__init__.py	2018-11-11 04:08:32 +0000
+++ breezy/archive/__init__.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 """Export trees to tarballs, zipfiles, etc.
 """
 
-from __future__ import absolute_import
-
 import os
 import time
 import warnings

=== modified file 'breezy/archive/tar.py'
--- breezy/archive/tar.py	2020-02-07 02:14:30 +0000
+++ breezy/archive/tar.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Export a tree to a tarball."""
 
-from __future__ import absolute_import
-
 from contextlib import closing
 from io import BytesIO
 import os

=== modified file 'breezy/archive/zip.py'
--- breezy/archive/zip.py	2018-11-16 18:33:17 +0000
+++ breezy/archive/zip.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 """Export a Tree to a zip file.
 """
 
-from __future__ import absolute_import
-
 from contextlib import closing
 import os
 import stat

=== modified file 'breezy/atomicfile.py'
--- breezy/atomicfile.py	2018-11-10 17:52:47 +0000
+++ breezy/atomicfile.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import os
 
 import stat

=== modified file 'breezy/bedding.py'
--- breezy/bedding.py	2020-02-07 02:14:30 +0000
+++ breezy/bedding.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Functions for deriving user configuration from system environment."""
 
-from __future__ import absolute_import
-
 import os
 import sys
 

=== modified file 'breezy/bencode.py'
--- breezy/bencode.py	2018-11-11 03:33:20 +0000
+++ breezy/bencode.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Wrapper around the bencode pyrex and python implementation"""
 
-from __future__ import absolute_import
-
 from . import osutils
 
 try:

=== modified file 'breezy/bisect.py'
--- breezy/bisect.py	2020-02-07 02:14:30 +0000
+++ breezy/bisect.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """bisect command implementations."""
 
-from __future__ import absolute_import
-
 import sys
 from .controldir import ControlDir
 from . import revision as _mod_revision

=== modified file 'breezy/bisect_multi.py'
--- breezy/bisect_multi.py	2018-11-11 14:23:06 +0000
+++ breezy/bisect_multi.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Bisection lookup multiple keys."""
 
-from __future__ import absolute_import
-
 __all__ = [
     'bisect_multi_bytes',
     ]

=== modified file 'breezy/branch.py'
--- breezy/branch.py	2020-02-07 02:14:30 +0000
+++ breezy/branch.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from .lazy_import import lazy_import
 lazy_import(globals(), """
 import contextlib

=== modified file 'breezy/branchbuilder.py'
--- breezy/branchbuilder.py	2020-02-07 02:14:30 +0000
+++ breezy/branchbuilder.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Utility for create branches with particular contents."""
 
-from __future__ import absolute_import
-
 from . import (
     controldir,
     commit,

=== modified file 'breezy/breakin.py'
--- breezy/breakin.py	2018-11-11 03:33:20 +0000
+++ breezy/breakin.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import os
 import signal
 

=== modified file 'breezy/bugtracker.py'
--- breezy/bugtracker.py	2018-11-17 01:04:53 +0000
+++ breezy/bugtracker.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from . import (
     errors,
     registry,

=== modified file 'breezy/builtins.py'
--- breezy/builtins.py	2020-02-07 02:14:30 +0000
+++ breezy/builtins.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """builtin brz commands"""
 
-from __future__ import absolute_import
-
 import errno
 import os
 import sys

=== modified file 'breezy/bzr/__init__.py'
--- breezy/bzr/__init__.py	2019-11-06 01:31:41 +0000
+++ breezy/bzr/__init__.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from .. import (
     config,
     errors,

=== modified file 'breezy/bzr/_btree_serializer_py.py'
--- breezy/bzr/_btree_serializer_py.py	2018-11-11 04:08:32 +0000
+++ breezy/bzr/_btree_serializer_py.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """B+Tree index parsing."""
 
-from __future__ import absolute_import
-
 from .. import static_tuple
 
 

=== modified file 'breezy/bzr/_btree_serializer_pyx.pyx'
--- breezy/bzr/_btree_serializer_pyx.pyx	2019-09-22 02:25:23 +0000
+++ breezy/bzr/_btree_serializer_pyx.pyx	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Pyrex extensions to btree node parsing."""
 
-from __future__ import absolute_import
-
 
 cdef extern from "python-compat.h":
     pass

=== modified file 'breezy/bzr/_chk_map_py.py'
--- breezy/bzr/_chk_map_py.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/_chk_map_py.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Python implementation of _search_key functions, etc."""
 
-from __future__ import absolute_import
-
 import zlib
 import struct
 

=== modified file 'breezy/bzr/_chk_map_pyx.pyx'
--- breezy/bzr/_chk_map_pyx.pyx	2019-09-22 02:25:23 +0000
+++ breezy/bzr/_chk_map_pyx.pyx	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 cdef extern from "python-compat.h":
     pass
 

=== modified file 'breezy/bzr/_dirstate_helpers_py.py'
--- breezy/bzr/_dirstate_helpers_py.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/_dirstate_helpers_py.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Python implementations of Dirstate Helper functions."""
 
-from __future__ import absolute_import
-
 import binascii
 import os
 import struct

=== modified file 'breezy/bzr/_dirstate_helpers_pyx.pyx'
--- breezy/bzr/_dirstate_helpers_pyx.pyx	2020-01-31 10:39:02 +0000
+++ breezy/bzr/_dirstate_helpers_pyx.pyx	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 This is the python implementation for DirState functions.
 """
 
-from __future__ import absolute_import
-
 import binascii
 import bisect
 import errno

=== modified file 'breezy/bzr/_groupcompress_py.py'
--- breezy/bzr/_groupcompress_py.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/_groupcompress_py.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 useless stuff.
 """
 
-from __future__ import absolute_import
-
 from .. import osutils
 
 

=== modified file 'breezy/bzr/_groupcompress_pyx.pyx'
--- breezy/bzr/_groupcompress_pyx.pyx	2018-11-16 13:30:16 +0000
+++ breezy/bzr/_groupcompress_pyx.pyx	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Compiled extensions for doing compression."""
 
-from __future__ import absolute_import
-
 
 cdef extern from "python-compat.h":
     pass

=== modified file 'breezy/bzr/_knit_load_data_py.py'
--- breezy/bzr/_knit_load_data_py.py	2019-03-18 04:31:21 +0000
+++ breezy/bzr/_knit_load_data_py.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from .knit import KnitCorrupt
 
 

=== modified file 'breezy/bzr/_knit_load_data_pyx.pyx'
--- breezy/bzr/_knit_load_data_pyx.pyx	2018-07-03 17:23:58 +0000
+++ breezy/bzr/_knit_load_data_pyx.pyx	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Pyrex extensions to knit parsing."""
 
-from __future__ import absolute_import
-
 import sys
 
 from .knit import KnitCorrupt

=== modified file 'breezy/bzr/_str_helpers.pxd'
--- breezy/bzr/_str_helpers.pxd	2018-07-12 01:43:49 +0000
+++ breezy/bzr/_str_helpers.pxd	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Trivial string helpers for use in other cython modules."""
 
-from __future__ import absolute_import
-
 cdef extern from "python-compat.h":
     object PyBytes_FromStringAndSize (char *, Py_ssize_t)
     object PyBytes_InternFromStringAndSize (char *, Py_ssize_t)

=== modified file 'breezy/bzr/branch.py'
--- breezy/bzr/branch.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/branch.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from io import BytesIO
 import sys
 

=== modified file 'breezy/bzr/btree_index.py'
--- breezy/bzr/btree_index.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/btree_index.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """B+Tree indices"""
 
-from __future__ import absolute_import, division
-
 from io import BytesIO
 
 from ..lazy_import import lazy_import

=== modified file 'breezy/bzr/bundle/__init__.py'
--- breezy/bzr/bundle/__init__.py	2019-06-30 10:50:40 +0000
+++ breezy/bzr/bundle/__init__.py	2020-02-18 01:57:45 +0000
@@ -13,5 +13,3 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-
-from __future__ import absolute_import

=== modified file 'breezy/bzr/bundle/apply_bundle.py'
--- breezy/bzr/bundle/apply_bundle.py	2019-06-30 10:50:40 +0000
+++ breezy/bzr/bundle/apply_bundle.py	2020-02-18 01:57:45 +0000
@@ -18,8 +18,6 @@
 This contains functionality for installing bundles into repositories
 """
 
-from __future__ import absolute_import
-
 from ... import ui
 from ...i18n import gettext
 from ...merge import Merger

=== modified file 'breezy/bzr/bundle/bundle_data.py'
--- breezy/bzr/bundle/bundle_data.py	2020-02-13 23:57:28 +0000
+++ breezy/bzr/bundle/bundle_data.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Read in a bundle stream, and process it into a BundleReader object."""
 
-from __future__ import absolute_import
-
 import base64
 from io import BytesIO
 import os

=== modified file 'breezy/bzr/bundle/commands.py'
--- breezy/bzr/bundle/commands.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/bundle/commands.py	2020-02-18 01:57:45 +0000
@@ -21,8 +21,6 @@
 and for applying a changeset.
 """
 
-from __future__ import absolute_import
-
 from io import BytesIO
 
 from ... import (

=== modified file 'breezy/bzr/bundle/serializer/__init__.py'
--- breezy/bzr/bundle/serializer/__init__.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/bundle/serializer/__init__.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 """Serializer factory for reading and writing bundles.
 """
 
-from __future__ import absolute_import
-
 import base64
 from io import BytesIO
 import re

=== modified file 'breezy/bzr/bundle/serializer/v08.py'
--- breezy/bzr/bundle/serializer/v08.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/bundle/serializer/v08.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 """Serializer factory for reading and writing bundles.
 """
 
-from __future__ import absolute_import
-
 from .... import (
     errors,
     ui,

=== modified file 'breezy/bzr/bundle/serializer/v09.py'
--- breezy/bzr/bundle/serializer/v09.py	2019-09-21 15:10:27 +0000
+++ breezy/bzr/bundle/serializer/v09.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from . import _get_bundle_header
 from .v08 import BundleSerializerV08, BundleReader
 from ..bundle_data import BundleInfo

=== modified file 'breezy/bzr/bundle/serializer/v4.py'
--- breezy/bzr/bundle/serializer/v4.py	2020-02-13 23:57:28 +0000
+++ breezy/bzr/bundle/serializer/v4.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import bz2
 from io import (
     BytesIO,

=== modified file 'breezy/bzr/bzrdir.py'
--- breezy/bzr/bzrdir.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/bzrdir.py	2020-02-18 01:57:45 +0000
@@ -25,8 +25,6 @@
 objects returned.
 """
 
-from __future__ import absolute_import
-
 import sys
 
 from ..lazy_import import lazy_import

=== modified file 'breezy/bzr/check.py'
--- breezy/bzr/check.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/check.py	2020-02-18 01:57:45 +0000
@@ -47,8 +47,6 @@
   indicating that the revision was found/not found.
 """
 
-from __future__ import absolute_import
-
 from .. import (
     ui,
     )

=== modified file 'breezy/bzr/chk_map.py'
--- breezy/bzr/chk_map.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/chk_map.py	2020-02-18 01:57:45 +0000
@@ -37,8 +37,6 @@
 
 """
 
-from __future__ import absolute_import
-
 import heapq
 import threading
 

=== modified file 'breezy/bzr/chk_serializer.py'
--- breezy/bzr/chk_serializer.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/chk_serializer.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Serializer object for CHK based inventory storage."""
 
-from __future__ import absolute_import
-
 from io import (
     BytesIO,
     )

=== modified file 'breezy/bzr/debug_commands.py'
--- breezy/bzr/debug_commands.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/debug_commands.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Debug commands for the bzr formats."""
 
-from __future__ import absolute_import
-
 from io import BytesIO
 
 from .. import (

=== modified file 'breezy/bzr/dirstate.py'
--- breezy/bzr/dirstate.py	2020-02-14 00:44:15 +0000
+++ breezy/bzr/dirstate.py	2020-02-18 01:57:45 +0000
@@ -218,8 +218,6 @@
 
 """
 
-from __future__ import absolute_import
-
 import bisect
 import contextlib
 import errno

=== modified file 'breezy/bzr/fetch.py'
--- breezy/bzr/fetch.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/fetch.py	2020-02-18 01:57:45 +0000
@@ -22,8 +22,6 @@
 branch.
 """
 
-from __future__ import absolute_import
-
 import operator
 
 from ..lazy_import import lazy_import

=== modified file 'breezy/bzr/fullhistory.py'
--- breezy/bzr/fullhistory.py	2020-01-18 04:16:23 +0000
+++ breezy/bzr/fullhistory.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Full history branch formats."""
 
-from __future__ import absolute_import
-
 from .. import (
     debug,
     errors,

=== modified file 'breezy/bzr/generate_ids.py'
--- breezy/bzr/generate_ids.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/generate_ids.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Common code for generating file or revision ids."""
 
-from __future__ import absolute_import
-
 from ..lazy_import import lazy_import
 lazy_import(globals(), """
 import time

=== modified file 'breezy/bzr/groupcompress.py'
--- breezy/bzr/groupcompress.py	2020-02-13 23:57:28 +0000
+++ breezy/bzr/groupcompress.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Core compression logic for compressing streams of related files."""
 
-from __future__ import absolute_import
-
 import time
 import zlib
 

=== modified file 'breezy/bzr/groupcompress_repo.py'
--- breezy/bzr/groupcompress_repo.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/groupcompress_repo.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Repository formats using CHK inventories and groupcompress compression."""
 
-from __future__ import absolute_import
-
 import time
 
 from .. import (

=== modified file 'breezy/bzr/index.py'
--- breezy/bzr/index.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/index.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Indexing facilities."""
 
-from __future__ import absolute_import
-
 __all__ = [
     'CombinedGraphIndex',
     'GraphIndex',

=== modified file 'breezy/bzr/inventory.py'
--- breezy/bzr/inventory.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/inventory.py	2020-02-18 01:57:45 +0000
@@ -23,8 +23,6 @@
 # But those depend on its position within a particular inventory, and
 # it would be nice not to need to hold the backpointer here.
 
-from __future__ import absolute_import
-
 # This should really be an id randomly assigned when the tree is
 # created, but it's not for now.
 ROOT_ID = b"TREE_ROOT"

=== modified file 'breezy/bzr/inventory_delta.py'
--- breezy/bzr/inventory_delta.py	2020-02-09 01:16:06 +0000
+++ breezy/bzr/inventory_delta.py	2020-02-18 01:57:45 +0000
@@ -22,8 +22,6 @@
  - InventoryDeltaSerializer - object to read/write inventory deltas.
 """
 
-from __future__ import absolute_import
-
 __all__ = ['InventoryDeltaSerializer']
 
 from .. import errors

=== modified file 'breezy/bzr/inventorytree.py'
--- breezy/bzr/inventorytree.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/inventorytree.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 """Tree classes, representing directory at point in time.
 """
 
-from __future__ import absolute_import
-
 import os
 import re
 

=== modified file 'breezy/bzr/knit.py'
--- breezy/bzr/knit.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/knit.py	2020-02-18 01:57:45 +0000
@@ -51,8 +51,6 @@
 
 """
 
-from __future__ import absolute_import
-
 import operator
 from io import BytesIO
 import os

=== modified file 'breezy/bzr/knitpack_repo.py'
--- breezy/bzr/knitpack_repo.py	2020-02-13 23:57:28 +0000
+++ breezy/bzr/knitpack_repo.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Knit-based pack repository formats."""
 
-from __future__ import absolute_import
-
 from .. import (
     errors,
     )

=== modified file 'breezy/bzr/knitrepo.py'
--- breezy/bzr/knitrepo.py	2020-01-11 17:50:28 +0000
+++ breezy/bzr/knitrepo.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from ..lazy_import import lazy_import
 lazy_import(globals(), """
 import itertools

=== modified file 'breezy/bzr/pack.py'
--- breezy/bzr/pack.py	2020-02-13 23:57:28 +0000
+++ breezy/bzr/pack.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 doc/developers/container-format.txt.
 """
 
-from __future__ import absolute_import
-
 from io import BytesIO
 import re
 

=== modified file 'breezy/bzr/pack_repo.py'
--- breezy/bzr/pack_repo.py	2020-02-13 23:57:28 +0000
+++ breezy/bzr/pack_repo.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import re
 import sys
 

=== modified file 'breezy/bzr/reconcile.py'
--- breezy/bzr/reconcile.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/reconcile.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Reconcilers are able to fix some potential data errors in a branch."""
 
-from __future__ import absolute_import
-
 __all__ = [
     'BranchReconciler',
     'KnitReconciler',

=== modified file 'breezy/bzr/remote.py'
--- breezy/bzr/remote.py	2020-02-13 23:57:28 +0000
+++ breezy/bzr/remote.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import bz2
 import os
 import re

=== modified file 'breezy/bzr/repository.py'
--- breezy/bzr/repository.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/repository.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import itertools
 
 from . import (

=== modified file 'breezy/bzr/serializer.py'
--- breezy/bzr/serializer.py	2020-01-31 10:39:02 +0000
+++ breezy/bzr/serializer.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Inventory/revision serialization."""
 
-from __future__ import absolute_import
-
 from .. import registry
 
 

=== modified file 'breezy/bzr/smart/__init__.py'
--- breezy/bzr/smart/__init__.py	2018-11-10 17:52:47 +0000
+++ breezy/bzr/smart/__init__.py	2020-02-18 01:57:45 +0000
@@ -33,8 +33,6 @@
 
 """
 
-from __future__ import absolute_import
-
 # TODO: A plain integer from query_version is too simple; should give some
 # capabilities too?
 

=== modified file 'breezy/bzr/smart/branch.py'
--- breezy/bzr/smart/branch.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/smart/branch.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Server-side branch related request implmentations."""
 
-from __future__ import absolute_import
-
 from ... import (
     bencode,
     errors,

=== modified file 'breezy/bzr/smart/bzrdir.py'
--- breezy/bzr/smart/bzrdir.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/smart/bzrdir.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Server-side bzrdir related request implmentations."""
 
-from __future__ import absolute_import
-
 from ... import (
     bencode,
     branch,

=== modified file 'breezy/bzr/smart/client.py'
--- breezy/bzr/smart/client.py	2018-11-11 04:08:32 +0000
+++ breezy/bzr/smart/client.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from ... import lazy_import
 lazy_import.lazy_import(globals(), """
 from breezy.bzr.smart import request as _mod_request

=== modified file 'breezy/bzr/smart/medium.py'
--- breezy/bzr/smart/medium.py	2019-07-28 22:59:46 +0000
+++ breezy/bzr/smart/medium.py	2020-02-18 01:57:45 +0000
@@ -24,8 +24,6 @@
 breezy/transport/smart/__init__.py.
 """
 
-from __future__ import absolute_import
-
 import errno
 import io
 import os

=== modified file 'breezy/bzr/smart/message.py'
--- breezy/bzr/smart/message.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/smart/message.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 try:
     from collections.abc import deque
 except ImportError:  # python < 3.7

=== modified file 'breezy/bzr/smart/packrepository.py'
--- breezy/bzr/smart/packrepository.py	2018-11-11 04:08:32 +0000
+++ breezy/bzr/smart/packrepository.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 """Server-side pack repository related request implmentations."""
 
 from .request import (

=== modified file 'breezy/bzr/smart/ping.py'
--- breezy/bzr/smart/ping.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/smart/ping.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Ping plugin for brz."""
 
-from __future__ import absolute_import
-
 from ...commands import Command
 from ...lazy_import import lazy_import
 

=== modified file 'breezy/bzr/smart/protocol.py'
--- breezy/bzr/smart/protocol.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/smart/protocol.py	2020-02-18 01:57:45 +0000
@@ -18,8 +18,6 @@
 client and server.
 """
 
-from __future__ import absolute_import
-
 try:
     from collections.abc import deque
 except ImportError:  # python < 3.7

=== modified file 'breezy/bzr/smart/repository.py'
--- breezy/bzr/smart/repository.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/smart/repository.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Server-side repository related request implementations."""
 
-from __future__ import absolute_import
-
 import bz2
 import itertools
 import os

=== modified file 'breezy/bzr/smart/request.py'
--- breezy/bzr/smart/request.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/smart/request.py	2020-02-18 01:57:45 +0000
@@ -26,8 +26,6 @@
       of times during a request).
 """
 
-from __future__ import absolute_import
-
 # XXX: The class names are a little confusing: the protocol will instantiate a
 # SmartServerRequestHandler, whose dispatch_command method creates an instance
 # of a SmartServerRequest subclass.

=== modified file 'breezy/bzr/smart/server.py'
--- breezy/bzr/smart/server.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/smart/server.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Server for smart-server protocol."""
 
-from __future__ import absolute_import
-
 import errno
 import os.path
 import socket

=== modified file 'breezy/bzr/smart/signals.py'
--- breezy/bzr/smart/signals.py	2018-11-11 04:08:32 +0000
+++ breezy/bzr/smart/signals.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Signal handling for the smart server code."""
 
-from __future__ import absolute_import
-
 import signal
 import weakref
 

=== modified file 'breezy/bzr/smart/vfs.py'
--- breezy/bzr/smart/vfs.py	2018-11-17 16:53:10 +0000
+++ breezy/bzr/smart/vfs.py	2020-02-18 01:57:45 +0000
@@ -24,8 +24,6 @@
 protocol, as implemented in bzr 0.11 and later.
 """
 
-from __future__ import absolute_import
-
 import os
 
 from ... import urlutils

=== modified file 'breezy/bzr/testament.py'
--- breezy/bzr/testament.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/testament.py	2020-02-18 01:57:45 +0000
@@ -59,8 +59,6 @@
 * the testament uses unix line-endings (\n)
 """
 
-from __future__ import absolute_import
-
 # XXX: At the moment, clients trust that the graph described in a weave
 # is accurate, but that's not covered by the testament.  Perhaps the best
 # fix is when verifying a revision to make sure that every file mentioned

=== modified file 'breezy/bzr/textinv.py'
--- breezy/bzr/textinv.py	2018-11-11 04:08:32 +0000
+++ breezy/bzr/textinv.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from .errors import BzrError
 from .inventory import Inventory
 

=== modified file 'breezy/bzr/versionedfile.py'
--- breezy/bzr/versionedfile.py	2020-02-13 23:57:28 +0000
+++ breezy/bzr/versionedfile.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Versioned text file storage api."""
 
-from __future__ import absolute_import
-
 from copy import copy
 from io import BytesIO
 import itertools

=== modified file 'breezy/bzr/vf_repository.py'
--- breezy/bzr/vf_repository.py	2020-02-13 23:57:28 +0000
+++ breezy/bzr/vf_repository.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Repository formats built around versioned files."""
 
-from __future__ import absolute_import
-
 from io import BytesIO
 
 from ..lazy_import import lazy_import

=== modified file 'breezy/bzr/vf_search.py'
--- breezy/bzr/vf_search.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/vf_search.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Searching in versioned file repositories."""
 
-from __future__ import absolute_import
-
 import itertools
 
 from .. import (

=== modified file 'breezy/bzr/weave.py'
--- breezy/bzr/weave.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/weave.py	2020-02-18 01:57:45 +0000
@@ -18,8 +18,6 @@
 
 """Weave - storage of related text file versions"""
 
-from __future__ import absolute_import
-
 # XXX: If we do weaves this way, will a merge still behave the same
 # way if it's done in a different order?  That's a pretty desirable
 # property.

=== modified file 'breezy/bzr/weavefile.py'
--- breezy/bzr/weavefile.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/weavefile.py	2020-02-18 01:57:45 +0000
@@ -34,8 +34,6 @@
 line contains a newline, or ',' if not.
 """
 
-from __future__ import absolute_import
-
 # TODO: When extracting a single version it'd be enough to just pass
 # an iterator returning the weave lines...  We don't really need to
 # deserialize it into memory.

=== modified file 'breezy/bzr/workingtree.py'
--- breezy/bzr/workingtree.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/workingtree.py	2020-02-18 01:57:45 +0000
@@ -30,8 +30,6 @@
 """
 
 
-from __future__ import absolute_import
-
 from bisect import bisect_left
 import breezy
 try:

=== modified file 'breezy/bzr/workingtree_3.py'
--- breezy/bzr/workingtree_3.py	2019-06-29 13:16:26 +0000
+++ breezy/bzr/workingtree_3.py	2020-02-18 01:57:45 +0000
@@ -18,8 +18,6 @@
 
 """
 
-from __future__ import absolute_import
-
 import errno
 
 from . import (

=== modified file 'breezy/bzr/workingtree_4.py'
--- breezy/bzr/workingtree_4.py	2020-02-13 23:57:28 +0000
+++ breezy/bzr/workingtree_4.py	2020-02-18 01:57:45 +0000
@@ -22,8 +22,6 @@
 WorkingTree.open(dir).
 """
 
-from __future__ import absolute_import
-
 from io import BytesIO
 import os
 

=== modified file 'breezy/bzr/xml5.py'
--- breezy/bzr/xml5.py	2020-01-31 02:49:47 +0000
+++ breezy/bzr/xml5.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from .. import (
     cache_utf8,
     errors,

=== modified file 'breezy/bzr/xml6.py'
--- breezy/bzr/xml6.py	2018-05-13 02:18:13 +0000
+++ breezy/bzr/xml6.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from . import xml8
 
 

=== modified file 'breezy/bzr/xml7.py'
--- breezy/bzr/xml7.py	2018-11-10 17:52:47 +0000
+++ breezy/bzr/xml7.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from . import (
     xml6,
     )

=== modified file 'breezy/bzr/xml8.py'
--- breezy/bzr/xml8.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/xml8.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from io import BytesIO
 
 from .. import (

=== modified file 'breezy/bzr/xml_serializer.py'
--- breezy/bzr/xml_serializer.py	2020-02-07 02:14:30 +0000
+++ breezy/bzr/xml_serializer.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """XML externalization support."""
 
-from __future__ import absolute_import
-
 # "XML is like violence: if it doesn't solve your problem, you aren't
 # using enough of it." -- various
 

=== modified file 'breezy/bzr_distutils.py'
--- breezy/bzr_distutils.py	2018-11-11 04:08:32 +0000
+++ breezy/bzr_distutils.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 
 """build_mo command for setup.py"""
 
-from __future__ import absolute_import
-
 from distutils import log
 from distutils.core import Command
 from distutils.dep_util import newer

=== modified file 'breezy/cache_utf8.py'
--- breezy/cache_utf8.py	2018-11-11 04:08:32 +0000
+++ breezy/cache_utf8.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 
 """Some functions to enable caching the conversion between unicode to utf8"""
 
-from __future__ import absolute_import
-
 import codecs
 
 _utf8_encode = codecs.utf_8_encode

=== modified file 'breezy/cethread.py'
--- breezy/cethread.py	2020-02-07 02:14:30 +0000
+++ breezy/cethread.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import sys
 import threading
 

=== modified file 'breezy/check.py'
--- breezy/check.py	2020-02-07 02:14:30 +0000
+++ breezy/check.py	2020-02-18 01:57:45 +0000
@@ -34,8 +34,6 @@
   indicating that the revision was found/not found.
 """
 
-from __future__ import absolute_import
-
 import contextlib
 
 from . import (

=== modified file 'breezy/chunk_writer.py'
--- breezy/chunk_writer.py	2018-11-12 01:41:38 +0000
+++ breezy/chunk_writer.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """ChunkWriter: write compressed data out with a fixed upper bound."""
 
-from __future__ import absolute_import
-
 import zlib
 from zlib import Z_FINISH, Z_SYNC_FLUSH
 

=== modified file 'breezy/clean_tree.py'
--- breezy/clean_tree.py	2018-11-11 04:08:32 +0000
+++ breezy/clean_tree.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import errno
 import os
 import shutil

=== modified file 'breezy/cmd_test_script.py'
--- breezy/cmd_test_script.py	2018-11-11 04:08:32 +0000
+++ breezy/cmd_test_script.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 This module should be importable even if testtools aren't available.
 """
 
-from __future__ import absolute_import
-
 import os
 
 from . import (

=== modified file 'breezy/cmd_version_info.py'
--- breezy/cmd_version_info.py	2020-02-07 02:14:30 +0000
+++ breezy/cmd_version_info.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Commands for generating snapshot information about a brz tree."""
 
-from __future__ import absolute_import
-
 from .lazy_import import lazy_import
 
 lazy_import(globals(), """

=== modified file 'breezy/cmdline.py'
--- breezy/cmdline.py	2018-11-12 01:41:38 +0000
+++ breezy/cmdline.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 configuring_bazaar.txt.
 """
 
-from __future__ import absolute_import
-
 import re
 
 

=== modified file 'breezy/colordiff.py'
--- breezy/colordiff.py	2020-01-31 02:31:42 +0000
+++ breezy/colordiff.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import re
 import sys
 from os.path import expanduser

=== modified file 'breezy/commands.py'
--- breezy/commands.py	2020-02-13 23:57:28 +0000
+++ breezy/commands.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 # TODO: Define arguments by objects, rather than just using names.
 # Those objects can specify the expected type of the argument, which
 # would help with validation and shell completion.  They could also provide

=== modified file 'breezy/commit.py'
--- breezy/commit.py	2020-02-07 02:14:30 +0000
+++ breezy/commit.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 # The newly committed revision is going to have a shape corresponding
 # to that of the working tree.  Files that are not in the
 # working tree and that were in the predecessor are reported as

=== modified file 'breezy/commit_signature_commands.py'
--- breezy/commit_signature_commands.py	2020-02-07 02:14:30 +0000
+++ breezy/commit_signature_commands.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Command that signs unsigned commits by the current user. """
 
-from __future__ import absolute_import
-
 from . import (
     controldir,
     errors,

=== modified file 'breezy/config.py'
--- breezy/config.py	2020-02-07 02:14:30 +0000
+++ breezy/config.py	2020-02-18 01:57:45 +0000
@@ -74,7 +74,6 @@
 up=pull
 """
 
-from __future__ import absolute_import
 import os
 import sys
 

=== modified file 'breezy/conflicts.py'
--- breezy/conflicts.py	2020-02-07 02:14:30 +0000
+++ breezy/conflicts.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 # TODO: 'brz resolve' should accept a directory name and work from that
 # point down
 
-from __future__ import absolute_import
-
 import os
 import re
 

=== modified file 'breezy/controldir.py'
--- breezy/controldir.py	2019-11-06 01:31:41 +0000
+++ breezy/controldir.py	2020-02-18 01:57:45 +0000
@@ -22,8 +22,6 @@
 
 """
 
-from __future__ import absolute_import
-
 from .lazy_import import lazy_import
 lazy_import(globals(), """
 import textwrap

=== modified file 'breezy/counted_lock.py'
--- breezy/counted_lock.py	2018-11-18 19:48:57 +0000
+++ breezy/counted_lock.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Counted lock class"""
 
-from __future__ import absolute_import
-
 from . import (
     errors,
     )

=== modified file 'breezy/crash.py'
--- breezy/crash.py	2020-02-07 02:14:30 +0000
+++ breezy/crash.py	2020-02-18 01:57:45 +0000
@@ -36,8 +36,6 @@
 -Dno_apport.
 """
 
-from __future__ import absolute_import
-
 # for interactive testing, try the 'brz assert-fail' command
 # or see http://code.launchpad.net/~mbp/bzr/bzr-fail
 #

=== modified file 'breezy/debug.py'
--- breezy/debug.py	2017-07-30 16:59:50 +0000
+++ breezy/debug.py	2020-02-18 01:57:45 +0000
@@ -23,8 +23,6 @@
 for a list of the available options.
 """
 
-from __future__ import absolute_import
-
 debug_flags = set()
 
 

=== modified file 'breezy/decorators.py'
--- breezy/decorators.py	2018-07-24 21:11:49 +0000
+++ breezy/decorators.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from . import trace
 
 

=== modified file 'breezy/delta.py'
--- breezy/delta.py	2020-02-07 02:14:30 +0000
+++ breezy/delta.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from io import StringIO
 
 from breezy import (

=== modified file 'breezy/diff.py'
--- breezy/diff.py	2020-02-07 02:14:30 +0000
+++ breezy/diff.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import contextlib
 import difflib
 import os

=== modified file 'breezy/directory_service.py'
--- breezy/directory_service.py	2019-03-02 22:31:28 +0000
+++ breezy/directory_service.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 to true URLs.  Examples include lp:urls and per-user location aliases.
 """
 
-from __future__ import absolute_import
-
 from . import (
     errors,
     registry,

=== modified file 'breezy/doc/__init__.py'
--- breezy/doc/__init__.py	2017-05-23 14:08:03 +0000
+++ breezy/doc/__init__.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 for man page generation.
 """
 
-from __future__ import absolute_import
-
 
 def load_tests(loader, basic_tests, pattern):
     suite = loader.suiteClass()

=== modified file 'breezy/doc/api/__init__.py'
--- breezy/doc/api/__init__.py	2017-05-23 14:08:03 +0000
+++ breezy/doc/api/__init__.py	2020-02-18 01:57:45 +0000
@@ -24,8 +24,6 @@
 For details on specific apis, see pydoc on the api, or read the source.
 """
 
-from __future__ import absolute_import
-
 import doctest
 import os
 

=== modified file 'breezy/doc_generate/__init__.py'
--- breezy/doc_generate/__init__.py	2017-05-30 21:42:49 +0000
+++ breezy/doc_generate/__init__.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import datetime
 import os
 

=== modified file 'breezy/doc_generate/autodoc_bash_completion.py'
--- breezy/doc_generate/autodoc_bash_completion.py	2018-11-11 04:08:32 +0000
+++ breezy/doc_generate/autodoc_bash_completion.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 "bash_completion.py - create bash completion script from built-in brz help"
 
-from __future__ import absolute_import
-
 import breezy
 import breezy.help
 import breezy.commands

=== modified file 'breezy/doc_generate/autodoc_man.py'
--- breezy/doc_generate/autodoc_man.py	2018-11-11 04:08:32 +0000
+++ breezy/doc_generate/autodoc_man.py	2020-02-18 01:57:45 +0000
@@ -21,8 +21,6 @@
   * add command aliases
 """
 
-from __future__ import absolute_import
-
 PLUGINS_TO_DOCUMENT = ["launchpad"]
 
 import textwrap

=== modified file 'breezy/doc_generate/autodoc_rstx.py'
--- breezy/doc_generate/autodoc_rstx.py	2019-01-03 01:23:19 +0000
+++ breezy/doc_generate/autodoc_rstx.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 Written by the Bazaar/Breezy community.
 """
 
-from __future__ import absolute_import
-
 import time
 
 import breezy

=== modified file 'breezy/doc_generate/conf.py'
--- breezy/doc_generate/conf.py	2018-11-18 21:24:22 +0000
+++ breezy/doc_generate/conf.py	2020-02-18 01:57:45 +0000
@@ -6,8 +6,6 @@
 # All configuration values have a default; values that are commented out
 # serve to show the default.
 
-from __future__ import absolute_import
-
 # FIXME: better move the content of doc/en/conf.py here and cleanup the result
 # -- vila 20100428
 

=== modified file 'breezy/email_message.py'
--- breezy/email_message.py	2020-02-07 02:14:30 +0000
+++ breezy/email_message.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """A convenience class around email.Message and email.MIMEMultipart."""
 
-from __future__ import absolute_import
-
 from email.message import Message
 from email.header import Header
 from email.mime.multipart import MIMEMultipart

=== modified file 'breezy/errors.py'
--- breezy/errors.py	2020-02-07 02:14:30 +0000
+++ breezy/errors.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 """Exceptions for bzr, and reporting of them.
 """
 
-from __future__ import absolute_import
-
 
 # TODO: is there any value in providing the .args field used by standard
 # python exceptions?   A list of values with no names seems less useful

=== modified file 'breezy/estimate_compressed_size.py'
--- breezy/estimate_compressed_size.py	2018-11-11 04:08:32 +0000
+++ breezy/estimate_compressed_size.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Code to estimate the entropy of content"""
 
-from __future__ import absolute_import
-
 import zlib
 
 

=== modified file 'breezy/export.py'
--- breezy/export.py	2019-01-13 18:33:39 +0000
+++ breezy/export.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 """Export trees to tarballs, non-controlled directories, zipfiles, etc.
 """
 
-from __future__ import absolute_import
-
 import errno
 import os
 import sys

=== modified file 'breezy/export_pot.py'
--- breezy/export_pot.py	2020-02-13 23:57:28 +0000
+++ breezy/export_pot.py	2020-02-18 01:57:45 +0000
@@ -26,8 +26,6 @@
 is also left to that stage of the process.
 """
 
-from __future__ import absolute_import
-
 import inspect
 import os
 import sys

=== modified file 'breezy/externalcommand.py'
--- breezy/externalcommand.py	2018-11-11 04:08:32 +0000
+++ breezy/externalcommand.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 # TODO: Perhaps rather than mapping options and arguments back and
 # forth, we should just pass in the whole argv, and allow
 # ExternalCommands to handle it differently to internal commands?

=== modified file 'breezy/fetch_ghosts.py'
--- breezy/fetch_ghosts.py	2020-02-07 02:14:30 +0000
+++ breezy/fetch_ghosts.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import contextlib
 
 from .branch import Branch

=== modified file 'breezy/fifo_cache.py'
--- breezy/fifo_cache.py	2018-11-11 04:08:32 +0000
+++ breezy/fifo_cache.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """A simple first-in-first-out (FIFO) cache."""
 
-from __future__ import absolute_import, division
-
 from collections import deque
 
 

=== modified file 'breezy/filter_tree.py'
--- breezy/filter_tree.py	2020-01-10 01:40:18 +0000
+++ breezy/filter_tree.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 """Content-filtered view of any tree.
 """
 
-from __future__ import absolute_import
-
 from io import BytesIO
 
 from . import (

=== modified file 'breezy/filters/__init__.py'
--- breezy/filters/__init__.py	2020-01-30 17:54:42 +0000
+++ breezy/filters/__init__.py	2020-02-18 01:57:45 +0000
@@ -38,7 +38,6 @@
 Note that context is currently only supported for write converters.
 """
 
-from __future__ import absolute_import
 
 from io import (
     BytesIO,

=== modified file 'breezy/filters/eol.py'
--- breezy/filters/eol.py	2018-11-11 04:08:32 +0000
+++ breezy/filters/eol.py	2020-02-18 01:57:45 +0000
@@ -19,9 +19,6 @@
 See bzr help eol for details.
 """
 
-from __future__ import absolute_import
-
-
 import re
 import sys
 

=== modified file 'breezy/foreign.py'
--- breezy/foreign.py	2020-01-11 17:50:28 +0000
+++ breezy/foreign.py	2020-02-18 01:57:45 +0000
@@ -16,9 +16,6 @@
 
 """Foreign branch utilities."""
 
-from __future__ import absolute_import
-
-
 from .branch import (
     Branch,
     )

=== modified file 'breezy/git/__init__.py'
--- breezy/git/__init__.py	2020-01-12 13:56:10 +0000
+++ breezy/git/__init__.py	2020-02-18 01:57:45 +0000
@@ -22,8 +22,6 @@
 
 """A GIT branch and repository format implementation for bzr."""
 
-from __future__ import absolute_import
-
 import os
 import sys
 

=== modified file 'breezy/git/annotate.py'
--- breezy/git/annotate.py	2020-02-09 01:27:02 +0000
+++ breezy/git/annotate.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Annotate."""
 
-from __future__ import absolute_import
-
 from dulwich.object_store import (
     tree_lookup_path,
     )

=== modified file 'breezy/git/branch.py'
--- breezy/git/branch.py	2020-02-07 02:14:30 +0000
+++ breezy/git/branch.py	2020-02-18 01:57:45 +0000
@@ -17,7 +17,6 @@
 
 """An adapter between a Git Branch and a Bazaar Branch"""
 
-from __future__ import absolute_import
 
 import contextlib
 from io import BytesIO

=== modified file 'breezy/git/cache.py'
--- breezy/git/cache.py	2020-02-07 02:14:30 +0000
+++ breezy/git/cache.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Map from Git sha's to Bazaar objects."""
 
-from __future__ import absolute_import
-
 from dulwich.objects import (
     sha_to_hex,
     hex_to_sha,

=== modified file 'breezy/git/commands.py'
--- breezy/git/commands.py	2020-02-07 02:14:30 +0000
+++ breezy/git/commands.py	2020-02-18 01:57:45 +0000
@@ -21,8 +21,6 @@
 
 """Git-specific subcommands for Bazaar."""
 
-from __future__ import absolute_import
-
 import breezy.bzr  # noqa: F401
 from breezy import controldir
 from ..commands import (

=== modified file 'breezy/git/commit.py'
--- breezy/git/commit.py	2020-02-07 02:14:30 +0000
+++ breezy/git/commit.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Support for committing in native Git working trees."""
 
-from __future__ import absolute_import
-
 from dulwich.index import (
     commit_tree,
     )

=== modified file 'breezy/git/config.py'
--- breezy/git/config.py	2018-11-11 14:23:06 +0000
+++ breezy/git/config.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Config file handling for Git."""
 
-from __future__ import absolute_import
-
 from .. import (
     config,
     )

=== modified file 'breezy/git/dir.py'
--- breezy/git/dir.py	2020-02-07 02:14:30 +0000
+++ breezy/git/dir.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """An adapter between a Git control dir and a Bazaar ControlDir."""
 
-from __future__ import absolute_import
-
 import contextlib
 
 from .. import (

=== modified file 'breezy/git/directory.py'
--- breezy/git/directory.py	2019-02-09 02:59:15 +0000
+++ breezy/git/directory.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Directory service for gitorious."""
 
-from __future__ import absolute_import
-
 from .. import transport
 
 transport.register_urlparse_netloc_protocol('github')

=== modified file 'breezy/git/errors.py'
--- breezy/git/errors.py	2019-11-03 00:17:16 +0000
+++ breezy/git/errors.py	2020-02-18 01:57:45 +0000
@@ -15,11 +15,8 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-
 """A grouping of Exceptions for bzr-git"""
 
-from __future__ import absolute_import
-
 from dulwich import errors as git_errors
 
 from .. import errors as brz_errors

=== modified file 'breezy/git/fetch.py'
--- breezy/git/fetch.py	2020-02-13 23:57:28 +0000
+++ breezy/git/fetch.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Fetching from git into bzr."""
 
-from __future__ import absolute_import
-
 from dulwich.objects import (
     Commit,
     Tag,

=== modified file 'breezy/git/filegraph.py'
--- breezy/git/filegraph.py	2019-10-20 23:33:25 +0000
+++ breezy/git/filegraph.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """File graph access."""
 
-from __future__ import absolute_import
-
 import stat
 
 from dulwich.errors import (

=== modified file 'breezy/git/git_remote_helper.py'
--- breezy/git/git_remote_helper.py	2020-02-07 02:14:30 +0000
+++ breezy/git/git_remote_helper.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 
 """Remote helper for git for accessing bzr repositories."""
 
-from __future__ import absolute_import
-
 CAPABILITIES = ["fetch", "option", "push"]
 
 import os

=== modified file 'breezy/git/help.py'
--- breezy/git/help.py	2018-03-26 22:28:24 +0000
+++ breezy/git/help.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Help information."""
 
-from __future__ import absolute_import
-
 help_git = """Using Bazaar with Git.
 
 The bzr-git plugin provides support for using Bazaar with local and remote

=== modified file 'breezy/git/hg.py'
--- breezy/git/hg.py	2018-11-11 04:08:32 +0000
+++ breezy/git/hg.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Compatibility for hg-git."""
 
-from __future__ import absolute_import
-
 import urllib
 
 

=== modified file 'breezy/git/interrepo.py'
--- breezy/git/interrepo.py	2020-02-07 02:14:30 +0000
+++ breezy/git/interrepo.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """InterRepository operations."""
 
-from __future__ import absolute_import
-
 from io import BytesIO
 import itertools
 

=== modified file 'breezy/git/mapping.py'
--- breezy/git/mapping.py	2020-02-07 02:14:30 +0000
+++ breezy/git/mapping.py	2020-02-18 01:57:45 +0000
@@ -18,8 +18,6 @@
 
 """Converters, etc for going between Bazaar and Git ids."""
 
-from __future__ import absolute_import
-
 import base64
 import stat
 

=== modified file 'breezy/git/memorytree.py'
--- breezy/git/memorytree.py	2019-06-29 15:50:22 +0000
+++ breezy/git/memorytree.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Git Memory Trees."""
 
-from __future__ import absolute_import
-
 import os
 import posixpath
 import stat

=== modified file 'breezy/git/object_store.py'
--- breezy/git/object_store.py	2020-02-13 23:57:28 +0000
+++ breezy/git/object_store.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Map from Git sha's to Bazaar objects."""
 
-from __future__ import absolute_import
-
 from dulwich.objects import (
     Blob,
     Commit,

=== modified file 'breezy/git/pristine_tar.py'
--- breezy/git/pristine_tar.py	2018-11-11 14:23:06 +0000
+++ breezy/git/pristine_tar.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Support for pristine tar deltas."""
 
-from __future__ import absolute_import
-
 from base64 import (
     standard_b64decode,
     )

=== modified file 'breezy/git/push.py'
--- breezy/git/push.py	2018-11-11 14:23:06 +0000
+++ breezy/git/push.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Basic push implementation."""
 
-from __future__ import absolute_import
-
 from ..push import (
     PushResult,
     )

=== modified file 'breezy/git/refs.py'
--- breezy/git/refs.py	2018-11-11 14:23:06 +0000
+++ breezy/git/refs.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Conversion between refs and Bazaar revision pointers."""
 
-from __future__ import absolute_import
-
 from dulwich.refs import (
     ANNOTATED_TAG_SUFFIX,
     LOCAL_BRANCH_PREFIX,

=== modified file 'breezy/git/remote.py'
--- breezy/git/remote.py	2020-02-13 23:57:28 +0000
+++ breezy/git/remote.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Remote dirs, repositories and branches."""
 
-from __future__ import absolute_import
-
 import gzip
 from io import BytesIO
 import re

=== modified file 'breezy/git/repository.py'
--- breezy/git/repository.py	2020-02-07 02:14:30 +0000
+++ breezy/git/repository.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """An adapter between a Git Repository and a Bazaar Branch"""
 
-from __future__ import absolute_import
-
 from .. import (
     check,
     errors,

=== modified file 'breezy/git/revspec.py'
--- breezy/git/revspec.py	2019-06-02 05:13:10 +0000
+++ breezy/git/revspec.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Custom revision specifier for Subversion."""
 
-from __future__ import absolute_import
-
 # Please note that imports are delayed as much as possible here since
 # if DWIM revspecs are supported this module is imported by __init__.py.
 

=== modified file 'breezy/git/roundtrip.py'
--- breezy/git/roundtrip.py	2019-06-29 15:50:22 +0000
+++ breezy/git/roundtrip.py	2020-02-18 01:57:45 +0000
@@ -45,8 +45,6 @@
   * TreeSupplement
 """
 
-from __future__ import absolute_import
-
 from .. import osutils
 
 from io import BytesIO

=== modified file 'breezy/git/send.py'
--- breezy/git/send.py	2019-10-20 15:03:13 +0000
+++ breezy/git/send.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 
 """Support in "brz send" for git-am style patches."""
 
-from __future__ import absolute_import
-
 import time
 from .. import __version__ as brz_version
 from .. import (

=== modified file 'breezy/git/server.py'
--- breezy/git/server.py	2018-11-11 14:23:06 +0000
+++ breezy/git/server.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from dulwich.server import TCPGitServer
 
 import sys

=== modified file 'breezy/git/tests/__init__.py'
--- breezy/git/tests/__init__.py	2020-01-24 00:06:05 +0000
+++ breezy/git/tests/__init__.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """The basic test suite for bzr-git."""
 
-from __future__ import absolute_import
-
 from io import BytesIO
 
 import time

=== modified file 'breezy/git/tests/test_blackbox.py'
--- breezy/git/tests/test_blackbox.py	2020-01-30 19:30:52 +0000
+++ breezy/git/tests/test_blackbox.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Black-box tests for bzr-git."""
 
-from __future__ import absolute_import
-
 from dulwich.repo import (
     Repo as GitRepo,
     )

=== modified file 'breezy/git/tests/test_branch.py'
--- breezy/git/tests/test_branch.py	2020-01-24 00:06:05 +0000
+++ breezy/git/tests/test_branch.py	2020-02-18 01:57:45 +0000
@@ -18,8 +18,6 @@
 
 """Tests for interfacing with a Git Branch"""
 
-from __future__ import absolute_import
-
 import dulwich
 from dulwich.objects import (
     Commit,

=== modified file 'breezy/git/tests/test_builder.py'
--- breezy/git/tests/test_builder.py	2018-11-11 04:08:32 +0000
+++ breezy/git/tests/test_builder.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Test our ability to build up test repositories"""
 
-from __future__ import absolute_import
-
 from io import BytesIO
 
 from dulwich.repo import Repo as GitRepo

=== modified file 'breezy/git/tests/test_cache.py'
--- breezy/git/tests/test_cache.py	2018-11-11 04:08:32 +0000
+++ breezy/git/tests/test_cache.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Tests for GitShaMap."""
 
-from __future__ import absolute_import
-
 from dulwich.objects import (
     Blob,
     Commit,

=== modified file 'breezy/git/tests/test_dir.py'
--- breezy/git/tests/test_dir.py	2019-12-26 13:20:45 +0000
+++ breezy/git/tests/test_dir.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Test the GitDir class"""
 
-from __future__ import absolute_import
-
 from dulwich.repo import Repo as GitRepo
 import os
 

=== modified file 'breezy/git/tests/test_fetch.py'
--- breezy/git/tests/test_fetch.py	2020-01-24 02:05:10 +0000
+++ breezy/git/tests/test_fetch.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Tests from fetching from git into bzr."""
 
-from __future__ import absolute_import
-
 from dulwich.objects import (
     Blob,
     Tag,

=== modified file 'breezy/git/tests/test_git_remote_helper.py'
--- breezy/git/tests/test_git_remote_helper.py	2020-01-31 17:43:44 +0000
+++ breezy/git/tests/test_git_remote_helper.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 
 """Tests for the git remote helper."""
 
-from __future__ import absolute_import
-
 from io import BytesIO
 import os
 import subprocess

=== modified file 'breezy/git/tests/test_mapping.py'
--- breezy/git/tests/test_mapping.py	2019-10-28 01:38:39 +0000
+++ breezy/git/tests/test_mapping.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Tests for mapping."""
 
-from __future__ import absolute_import
-
 from ...revision import (
     Revision,
     )

=== modified file 'breezy/git/tests/test_object_store.py'
--- breezy/git/tests/test_object_store.py	2019-05-28 23:34:07 +0000
+++ breezy/git/tests/test_object_store.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Tests for bzr-git's object store."""
 
-from __future__ import absolute_import
-
 import os
 import shutil
 import stat

=== modified file 'breezy/git/tests/test_pristine_tar.py'
--- breezy/git/tests/test_pristine_tar.py	2018-11-11 04:08:32 +0000
+++ breezy/git/tests/test_pristine_tar.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Tests for pristine tar extraction code."""
 
-from __future__ import absolute_import
-
 from base64 import standard_b64encode
 
 from ..pristine_tar import (

=== modified file 'breezy/git/tests/test_push.py'
--- breezy/git/tests/test_push.py	2018-11-11 04:08:32 +0000
+++ breezy/git/tests/test_push.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Tests for pushing revisions from Bazaar into Git."""
 
-from __future__ import absolute_import
-
 from ...controldir import (
     format_registry,
     )

=== modified file 'breezy/git/tests/test_refs.py'
--- breezy/git/tests/test_refs.py	2018-11-11 04:08:32 +0000
+++ breezy/git/tests/test_refs.py	2020-02-18 01:57:45 +0000
@@ -18,8 +18,6 @@
 
 """Tests for ref handling."""
 
-from __future__ import absolute_import
-
 from ... import tests
 
 from ..object_store import BazaarObjectStore

=== modified file 'breezy/git/tests/test_remote.py'
--- breezy/git/tests/test_remote.py	2020-02-08 18:51:59 +0000
+++ breezy/git/tests/test_remote.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Test the smart client."""
 
-from __future__ import absolute_import
-
 from io import BytesIO
 
 import os

=== modified file 'breezy/git/tests/test_repository.py'
--- breezy/git/tests/test_repository.py	2019-06-29 13:16:26 +0000
+++ breezy/git/tests/test_repository.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Tests for interfacing with a Git Repository"""
 
-from __future__ import absolute_import
-
 import dulwich
 from dulwich.repo import (
     Repo as GitRepo,

=== modified file 'breezy/git/tests/test_revspec.py'
--- breezy/git/tests/test_revspec.py	2019-02-03 01:42:11 +0000
+++ breezy/git/tests/test_revspec.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Test the git revision specifiers."""
 
-from __future__ import absolute_import
-
 from ...tests import TestCase
 
 from ..revspec import (

=== modified file 'breezy/git/tests/test_roundtrip.py'
--- breezy/git/tests/test_roundtrip.py	2019-06-29 15:50:22 +0000
+++ breezy/git/tests/test_roundtrip.py	2020-02-18 01:57:45 +0000
@@ -18,8 +18,6 @@
 
 """Tests for roundtripping text parsing."""
 
-from __future__ import absolute_import
-
 from ...tests import TestCase
 
 from ..roundtrip import (

=== modified file 'breezy/git/tests/test_server.py'
--- breezy/git/tests/test_server.py	2018-11-11 04:08:32 +0000
+++ breezy/git/tests/test_server.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Test for git server."""
 
-from __future__ import absolute_import
-
 from dulwich.client import TCPGitClient
 from dulwich.repo import Repo
 import threading

=== modified file 'breezy/git/tests/test_transportgit.py'
--- breezy/git/tests/test_transportgit.py	2019-11-03 12:38:45 +0000
+++ breezy/git/tests/test_transportgit.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Tests for bzr-git's object store."""
 
-from __future__ import absolute_import
-
 from dulwich.objects import Blob
 from dulwich.tests.test_object_store import PackBasedObjectStoreTests
 from dulwich.tests.utils import make_object

=== modified file 'breezy/git/tests/test_unpeel_map.py'
--- breezy/git/tests/test_unpeel_map.py	2018-11-11 04:08:32 +0000
+++ breezy/git/tests/test_unpeel_map.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Tests for the unpeel map."""
 
-from __future__ import absolute_import
-
 from io import BytesIO
 
 from ...tests import (

=== modified file 'breezy/git/tests/test_urls.py'
--- breezy/git/tests/test_urls.py	2018-11-16 23:19:12 +0000
+++ breezy/git/tests/test_urls.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Tests for url handling."""
 
-from __future__ import absolute_import
-
 from ...tests import TestCase
 from ..urls import (
     git_url_to_bzr_url,

=== modified file 'breezy/git/tests/test_workingtree.py'
--- breezy/git/tests/test_workingtree.py	2020-01-19 15:14:16 +0000
+++ breezy/git/tests/test_workingtree.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Tests for Git working trees."""
 
-from __future__ import absolute_import
-
 import os
 import stat
 

=== modified file 'breezy/git/transportgit.py'
--- breezy/git/transportgit.py	2019-12-26 13:20:45 +0000
+++ breezy/git/transportgit.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """A Git repository implementation that uses a Bazaar transport."""
 
-from __future__ import absolute_import
-
 from io import BytesIO
 
 import os

=== modified file 'breezy/git/tree.py'
--- breezy/git/tree.py	2020-02-13 23:57:28 +0000
+++ breezy/git/tree.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Git Trees."""
 
-from __future__ import absolute_import
-
 from collections import deque
 import errno
 from io import BytesIO

=== modified file 'breezy/git/unpeel_map.py'
--- breezy/git/unpeel_map.py	2019-06-29 19:54:32 +0000
+++ breezy/git/unpeel_map.py	2020-02-18 01:57:45 +0000
@@ -16,7 +16,6 @@
 
 """Unpeel map storage."""
 
-from __future__ import absolute_import
 
 from collections import defaultdict
 from io import BytesIO

=== modified file 'breezy/git/urls.py'
--- breezy/git/urls.py	2018-11-16 23:19:12 +0000
+++ breezy/git/urls.py	2020-02-18 01:57:45 +0000
@@ -16,7 +16,6 @@
 
 """URL Conversion."""
 
-from __future__ import absolute_import
 
 from .. import urlutils
 from .refs import (

=== modified file 'breezy/git/workingtree.py'
--- breezy/git/workingtree.py	2020-02-07 02:14:30 +0000
+++ breezy/git/workingtree.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """An adapter between a Git index and a Bazaar Working Tree"""
 
-from __future__ import absolute_import
-
 import itertools
 from collections import defaultdict
 import errno

=== modified file 'breezy/globbing.py'
--- breezy/globbing.py	2019-02-15 17:41:17 +0000
+++ breezy/globbing.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 expressions.
 """
 
-from __future__ import absolute_import
-
 import re
 
 from . import (

=== modified file 'breezy/gpg.py'
--- breezy/gpg.py	2020-02-07 02:14:30 +0000
+++ breezy/gpg.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """GPG signing and checking logic."""
 
-from __future__ import absolute_import
-
 import os
 
 from breezy.lazy_import import lazy_import

=== modified file 'breezy/graph.py'
--- breezy/graph.py	2020-02-07 02:14:30 +0000
+++ breezy/graph.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import time
 
 from . import (

=== modified file 'breezy/grep.py'
--- breezy/grep.py	2020-02-07 02:14:30 +0000
+++ breezy/grep.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from io import BytesIO
 import re
 

=== modified file 'breezy/hashcache.py'
--- breezy/hashcache.py	2020-02-07 02:14:30 +0000
+++ breezy/hashcache.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 # TODO: Up-front, stat all files in order and remove those which are deleted or
 # out-of-date.  Don't actually re-read them until they're needed.  That ought
 # to bring all the inodes into core so that future stats to them are fast, and

=== modified file 'breezy/help.py'
--- breezy/help.py	2018-11-11 04:08:32 +0000
+++ breezy/help.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 # TODO: Some way to get a list of external commands (defined by shell
 # scripts) so that they can be included in the help listing as well.
 # It should be enough to just list the plugin directory and look for

=== modified file 'breezy/help_topics/__init__.py'
--- breezy/help_topics/__init__.py	2019-09-01 15:33:59 +0000
+++ breezy/help_topics/__init__.py	2020-02-18 01:57:45 +0000
@@ -33,8 +33,6 @@
 rendering on the screen naturally.
 """
 
-from __future__ import absolute_import
-
 import breezy
 from breezy import (
     config,

=== modified file 'breezy/hooks.py'
--- breezy/hooks.py	2018-11-11 04:08:32 +0000
+++ breezy/hooks.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Support for plugin hooking logic."""
 
-from __future__ import absolute_import
-
 from . import (
     errors,
     registry,

=== modified file 'breezy/i18n.py'
--- breezy/i18n.py	2020-02-07 02:14:30 +0000
+++ breezy/i18n.py	2020-02-18 01:57:45 +0000
@@ -22,8 +22,6 @@
 
 """i18n and l10n support for Bazaar."""
 
-from __future__ import absolute_import
-
 import gettext as _gettext
 import os
 import sys

=== modified file 'breezy/identitymap.py'
--- breezy/identitymap.py	2017-05-22 00:56:52 +0000
+++ breezy/identitymap.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """This module provides an IdentityMap."""
 
-from __future__ import absolute_import
-
 from . import (
     errors,
     )

=== modified file 'breezy/ignores.py'
--- breezy/ignores.py	2020-01-11 17:41:33 +0000
+++ breezy/ignores.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Lists of ignore files, etc."""
 
-from __future__ import absolute_import
-
 import errno
 from io import BytesIO
 import os

=== modified file 'breezy/info.py'
--- breezy/info.py	2019-11-19 18:10:28 +0000
+++ breezy/info.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 __all__ = ['show_bzrdir_info']
 
 from io import StringIO

=== modified file 'breezy/inter.py'
--- breezy/inter.py	2017-08-29 13:25:07 +0000
+++ breezy/inter.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Inter-object utility class."""
 
-from __future__ import absolute_import
-
 from .errors import BzrError
 from .lock import LogicalLockResult
 

=== removed file 'breezy/intset.py'
--- breezy/intset.py	2018-11-11 04:08:32 +0000
+++ breezy/intset.py	1970-01-01 00:00:00 +0000
@@ -1,217 +0,0 @@
-# Copyright (C) 2005 Canonical Ltd
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-
-from __future__ import absolute_import
-
-# Author: Martin Pool <mbp@canonical.com>
-
-
-# Somewhat surprisingly, it turns out that this is much slower than
-# simply storing the ints in a set() type.  Python's performance model
-# is very different to that of C.
-
-
-class IntSet(Exception):
-    """Faster set-like class storing only whole numbers.
-
-    Despite the name this stores long integers happily, but negative
-    values are not allowed.
-
-    >>> a = IntSet([0, 2, 5])
-    >>> bool(a)
-    True
-    >>> 2 in a
-    True
-    >>> 4 in a
-    False
-    >>> a.add(4)
-    >>> 4 in a
-    True
-
-    >>> b = IntSet()
-    >>> not b
-    True
-    >>> b.add(10)
-    >>> 10 in a
-    False
-    >>> a.update(b)
-    >>> 10 in a
-    True
-    >>> a.update(range(5))
-    >>> 3 in a
-    True
-
-    Being a set, duplicates are ignored:
-    >>> a = IntSet()
-    >>> a.add(10)
-    >>> a.add(10)
-    >>> 10 in a
-    True
-    >>> list(a)
-    [10]
-
-    """
-    __slots__ = ['_val']
-
-    def __init__(self, values=None, bitmask=0):
-        """Create a new intset.
-
-        values
-            If specified, an initial collection of values.
-        """
-        self._val = bitmask
-        if values is not None:
-            self.update(values)
-
-    def __bool__(self):
-        """IntSets are false if empty, otherwise True.
-
-        >>> bool(IntSet())
-        False
-
-        >>> bool(IntSet([0]))
-        True
-        """
-        return bool(self._val)
-
-    __nonzero__ = __bool__
-
-    def __len__(self):
-        """Number of elements in set.
-
-        >>> len(IntSet(xrange(20000)))
-        20000
-        """
-        v = self._val
-        c = 0
-        while v:
-            if v & 1:
-                c += 1
-            v = v >> 1
-        return c
-
-    def __and__(self, other):
-        """Set intersection.
-
-        >>> a = IntSet(range(10))
-        >>> len(a)
-        10
-        >>> b = a & a
-        >>> b == a
-        True
-        >>> a = a & IntSet([5, 7, 11, 13])
-        >>> list(a)
-        [5, 7]
-        """
-        if not isinstance(other, IntSet):
-            raise NotImplementedError(type(other))
-        return IntSet(bitmask=(self._val & other._val))
-
-    def __or__(self, other):
-        """Set union.
-
-        >>> a = IntSet(range(10)) | IntSet([5, 15, 25])
-        >>> len(a)
-        12
-        """
-        if not isinstance(other, IntSet):
-            raise NotImplementedError(type(other))
-        return IntSet(bitmask=(self._val | other._val))
-
-    def __eq__(self, other):
-        """Comparison.
-
-        >>> IntSet(range(3)) == IntSet([2, 0, 1])
-        True
-        """
-        if isinstance(other, IntSet):
-            return self._val == other._val
-        else:
-            return False
-
-    def __ne__(self, other):
-        return not self.__eq__(other)
-
-    def __contains__(self, i):
-        return self._val & (1 << i)
-
-    def __iter__(self):
-        """Return contents of set.
-
-        >>> list(IntSet())
-        []
-        >>> list(IntSet([0, 1, 5, 7]))
-        [0, 1, 5, 7]
-        """
-        v = self._val
-        o = 0
-        # XXX: This is a bit slow
-        while v:
-            if v & 1:
-                yield o
-            v = v >> 1
-            o = o + 1
-
-    def update(self, to_add):
-        """Add all the values from the sequence or intset to_add"""
-        if isinstance(to_add, IntSet):
-            self._val |= to_add._val
-        else:
-            for i in to_add:
-                self._val |= (1 << i)
-
-    def add(self, to_add):
-        self._val |= (1 << to_add)
-
-    def remove(self, to_remove):
-        """Remove one value from the set.
-
-        Raises KeyError if the value is not present.
-
-        >>> a = IntSet([10])
-        >>> a.remove(9)
-        Traceback (most recent call last):
-          File "/usr/lib/python2.4/doctest.py", line 1243, in __run
-            compileflags, 1) in test.globs
-          File "<doctest __main__.IntSet.remove[1]>", line 1, in ?
-            a.remove(9)
-        KeyError: 9
-        >>> a.remove(10)
-        >>> not a
-        True
-        """
-        m = 1 << to_remove
-        if not self._val & m:
-            raise KeyError(to_remove)
-        self._val ^= m
-
-    def set_remove(self, to_remove):
-        """Remove all values that exist in to_remove.
-
-        >>> a = IntSet(range(10))
-        >>> b = IntSet([2,3,4,7,12])
-        >>> a.set_remove(b)
-        >>> list(a)
-        [0, 1, 5, 6, 8, 9]
-        >>> a.set_remove([1,2,5])
-        >>> list(a)
-        [0, 6, 8, 9]
-        """
-        if not isinstance(to_remove, IntSet):
-            self.set_remove(IntSet(to_remove))
-            return
-        intersect = self._val & to_remove._val
-        self._val ^= intersect

=== modified file 'breezy/iterablefile.py'
--- breezy/iterablefile.py	2020-02-07 02:14:30 +0000
+++ breezy/iterablefile.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 
 class IterableFileBase(object):
     """Create a file-like object from any iterable"""

=== modified file 'breezy/lazy_import.py'
--- breezy/lazy_import.py	2020-01-11 17:41:33 +0000
+++ breezy/lazy_import.py	2020-02-18 01:57:45 +0000
@@ -41,8 +41,6 @@
 to inherit from them).
 """
 
-from __future__ import absolute_import
-
 from .errors import BzrError, InternalBzrError
 
 

=== modified file 'breezy/lazy_regex.py'
--- breezy/lazy_regex.py	2018-11-16 19:09:31 +0000
+++ breezy/lazy_regex.py	2020-02-18 01:57:45 +0000
@@ -24,8 +24,6 @@
 be used by existing Python modules that create regexs.
 """
 
-from __future__ import absolute_import
-
 import re
 
 from . import errors

=== modified file 'breezy/library_state.py'
--- breezy/library_state.py	2020-02-07 02:14:30 +0000
+++ breezy/library_state.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """The core state needed to make use of bzr is managed here."""
 
-from __future__ import absolute_import
-
 __all__ = [
     'BzrLibraryState',
     ]

=== modified file 'breezy/location.py'
--- breezy/location.py	2020-02-07 02:14:30 +0000
+++ breezy/location.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """UI location string handling."""
 
-from __future__ import absolute_import
-
 import re
 
 from . import (

=== modified file 'breezy/lock.py'
--- breezy/lock.py	2019-06-16 15:37:44 +0000
+++ breezy/lock.py	2020-02-18 01:57:45 +0000
@@ -33,8 +33,6 @@
 unlock() method.
 """
 
-from __future__ import absolute_import
-
 import contextlib
 import errno
 import os

=== modified file 'breezy/lockable_files.py'
--- breezy/lockable_files.py	2020-01-11 17:41:33 +0000
+++ breezy/lockable_files.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from .lazy_import import lazy_import
 lazy_import(globals(), """
 from breezy import (

=== modified file 'breezy/lockdir.py'
--- breezy/lockdir.py	2020-02-07 02:14:30 +0000
+++ breezy/lockdir.py	2020-02-18 01:57:45 +0000
@@ -98,8 +98,6 @@
 but helps protect against colliding host names.
 """
 
-from __future__ import absolute_import
-
 
 # TODO: We sometimes have the problem that our attempt to rename '1234' to
 # 'held' fails because the transport server moves into an existing directory,

=== modified file 'breezy/log.py'
--- breezy/log.py	2020-02-13 23:57:28 +0000
+++ breezy/log.py	2020-02-18 01:57:45 +0000
@@ -47,8 +47,6 @@
 all the changes since the previous revision that touched hello.c.
 """
 
-from __future__ import absolute_import
-
 import codecs
 from io import BytesIO
 import itertools

=== modified file 'breezy/lru_cache.py'
--- breezy/lru_cache.py	2020-02-07 02:14:30 +0000
+++ breezy/lru_cache.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """A simple least-recently-used (LRU) cache."""
 
-from __future__ import absolute_import, division
-
 from . import (
     trace,
     )

=== modified file 'breezy/lsprof.py'
--- breezy/lsprof.py	2020-02-07 02:14:30 +0000
+++ breezy/lsprof.py	2020-02-18 01:57:45 +0000
@@ -3,8 +3,6 @@
 # I made one modification to profile so that it returns a pair
 # instead of just the Stats object
 
-from __future__ import absolute_import
-
 import codecs
 try:
     import cPickle as pickle

=== modified file 'breezy/mail_client.py'
--- breezy/mail_client.py	2020-02-07 02:14:30 +0000
+++ breezy/mail_client.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import errno
 import os
 import subprocess

=== modified file 'breezy/memorytree.py'
--- breezy/memorytree.py	2019-10-14 00:25:24 +0000
+++ breezy/memorytree.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 See MemoryTree for more details.
 """
 
-from __future__ import absolute_import
-
 import os
 import stat
 

=== modified file 'breezy/merge.py'
--- breezy/merge.py	2020-02-07 02:14:30 +0000
+++ breezy/merge.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import contextlib
 
 from .lazy_import import lazy_import

=== modified file 'breezy/merge3.py'
--- breezy/merge3.py	2019-03-02 21:46:18 +0000
+++ breezy/merge3.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 # mbp: "you know that thing where cvs gives you conflict markers?"
 # s: "i hate that."
 

=== modified file 'breezy/merge_directive.py'
--- breezy/merge_directive.py	2020-02-07 02:14:30 +0000
+++ breezy/merge_directive.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import base64
 import contextlib
 from io import BytesIO

=== modified file 'breezy/mergeable.py'
--- breezy/mergeable.py	2020-02-07 02:14:30 +0000
+++ breezy/mergeable.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from io import BytesIO
 
 from .lazy_import import lazy_import

=== modified file 'breezy/mergetools.py'
--- breezy/mergetools.py	2018-11-12 01:41:38 +0000
+++ breezy/mergetools.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Utility functions for managing external merge tools such as kdiff3."""
 
-from __future__ import absolute_import
-
 import os
 import shutil
 import subprocess

=== modified file 'breezy/missing.py'
--- breezy/missing.py	2019-06-26 20:58:23 +0000
+++ breezy/missing.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Display what revisions are missing in 'other' from 'this' and vice versa."""
 
-from __future__ import absolute_import
-
 from . import (
     errors,
     log,

=== modified file 'breezy/msgeditor.py'
--- breezy/msgeditor.py	2020-02-07 02:14:30 +0000
+++ breezy/msgeditor.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Commit message editor support."""
 
-from __future__ import absolute_import
-
 import codecs
 from io import (
     BytesIO,

=== modified file 'breezy/multiparent.py'
--- breezy/multiparent.py	2020-02-07 02:14:30 +0000
+++ breezy/multiparent.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import errno
 from io import (
     BytesIO,

=== modified file 'breezy/multiwalker.py'
--- breezy/multiwalker.py	2020-02-07 02:14:30 +0000
+++ breezy/multiwalker.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 """Walk multiple trees simultaneously.
 """
 
-from __future__ import absolute_import
-
 from . import (
     errors,
     osutils,

=== modified file 'breezy/mutabletree.py'
--- breezy/mutabletree.py	2020-02-07 02:14:30 +0000
+++ breezy/mutabletree.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 See MutableTree for more details.
 """
 
-from __future__ import absolute_import
-
 from . import (
     errors,
     hooks,

=== modified file 'breezy/option.py'
--- breezy/option.py	2020-02-07 02:14:30 +0000
+++ breezy/option.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 # TODO: For things like --diff-prefix, we want a way to customize the display
 # of the option argument.
 
-from __future__ import absolute_import
-
 import optparse
 import re
 

=== modified file 'breezy/osutils.py'
--- breezy/osutils.py	2020-02-07 02:14:30 +0000
+++ breezy/osutils.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import errno
 import os
 import re

=== modified file 'breezy/patch.py'
--- breezy/patch.py	2019-12-22 12:06:17 +0000
+++ breezy/patch.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 """Diff and patch functionality"""
 
 import errno

=== modified file 'breezy/patches.py'
--- breezy/patches.py	2019-12-28 14:10:36 +0000
+++ breezy/patches.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from .errors import (
     BzrError,
     )

=== modified file 'breezy/plugin.py'
--- breezy/plugin.py	2020-02-07 02:14:30 +0000
+++ breezy/plugin.py	2020-02-18 01:57:45 +0000
@@ -34,8 +34,6 @@
 plugins.
 """
 
-from __future__ import absolute_import
-
 import os
 import re
 import sys

=== modified file 'breezy/plugins/__init__.py'
--- breezy/plugins/__init__.py	2017-06-02 23:43:00 +0000
+++ breezy/plugins/__init__.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Pseudo-namespace package for breezy plugins."""
 
-from __future__ import absolute_import
-
 from breezy.plugin import extend_path
 
 __path__ = extend_path(__path__, __name__)

=== modified file 'breezy/plugins/bash_completion/__init__.py'
--- breezy/plugins/bash_completion/__init__.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/bash_completion/__init__.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 __doc__ = """Generate a shell function for bash command line completion.
 
 This plugin provides a command called bash-completion that generates a

=== modified file 'breezy/plugins/bash_completion/bashcomp.py'
--- breezy/plugins/bash_completion/bashcomp.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/bash_completion/bashcomp.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from ... import (
     cmdline,
     commands,

=== modified file 'breezy/plugins/changelog_merge/__init__.py'
--- breezy/plugins/changelog_merge/__init__.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/changelog_merge/__init__.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 __doc__ = """Merge hook for GNU-format ChangeLog files
 
 To enable this plugin, add a section to your locations.conf

=== modified file 'breezy/plugins/changelog_merge/changelog_merge.py'
--- breezy/plugins/changelog_merge/changelog_merge.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/changelog_merge/changelog_merge.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Merge logic for changelog_merge plugin."""
 
-from __future__ import absolute_import
-
 import difflib
 
 from ... import (

=== modified file 'breezy/plugins/commitfromnews/__init__.py'
--- breezy/plugins/commitfromnews/__init__.py	2019-10-13 16:49:05 +0000
+++ breezy/plugins/commitfromnews/__init__.py	2020-02-18 01:57:45 +0000
@@ -33,8 +33,6 @@
 including sections from a NEWS or ChangeLog file.
 """
 
-from __future__ import absolute_import
-
 from ... import version_info  # noqa: F401
 from ... import hooks
 from ...config import (

=== modified file 'breezy/plugins/commitfromnews/committemplate.py'
--- breezy/plugins/commitfromnews/committemplate.py	2019-03-02 21:46:18 +0000
+++ breezy/plugins/commitfromnews/committemplate.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Logic to create commit templates."""
 
-from __future__ import absolute_import
-
 import patiencediff
 
 from ... import bugtracker, osutils

=== modified file 'breezy/plugins/commitfromnews/tests/__init__.py'
--- breezy/plugins/commitfromnews/tests/__init__.py	2019-10-27 18:22:53 +0000
+++ breezy/plugins/commitfromnews/tests/__init__.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Tests for commitfromnews."""
 
-from __future__ import absolute_import
-
 
 def load_tests(loader, basic_tests, pattern):
     testmod_names = [

=== modified file 'breezy/plugins/commitfromnews/tests/test_committemplate.py'
--- breezy/plugins/commitfromnews/tests/test_committemplate.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/commitfromnews/tests/test_committemplate.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Tests for the commit template creation."""
 
-from __future__ import absolute_import
-
 from ... import commitfromnews
 from .... import (
     config,

=== modified file 'breezy/plugins/commitfromnews/tests/test_msgeditor.py'
--- breezy/plugins/commitfromnews/tests/test_msgeditor.py	2017-06-13 00:17:21 +0000
+++ breezy/plugins/commitfromnews/tests/test_msgeditor.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Tests for msg editor interactions.."""
 
-from __future__ import absolute_import
-
 from ... import commitfromnews
 from .... import msgeditor
 from ....tests import TestCaseWithTransport

=== modified file 'breezy/plugins/cvs/__init__.py'
--- breezy/plugins/cvs/__init__.py	2019-12-22 13:21:36 +0000
+++ breezy/plugins/cvs/__init__.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 Currently limited to referencing tools for migration.
 """
 
-from __future__ import absolute_import
-
 from ... import version_info  # noqa: F401
 
 from ... import (

=== modified file 'breezy/plugins/darcs/__init__.py'
--- breezy/plugins/darcs/__init__.py	2019-11-06 01:31:41 +0000
+++ breezy/plugins/darcs/__init__.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 Currently only tells the user to use fastimport/fastexport.
 """
 
-from __future__ import absolute_import
-
 from ... import version_info  # noqa: F401
 from breezy import (
     controldir,

=== modified file 'breezy/plugins/email/__init__.py'
--- breezy/plugins/email/__init__.py	2019-10-13 16:49:05 +0000
+++ breezy/plugins/email/__init__.py	2020-02-18 01:57:45 +0000
@@ -64,8 +64,6 @@
   revision_mail_headers=X-Cheese: to the rescue!
 """
 
-from __future__ import absolute_import
-
 from ... import version_info  # noqa: F401
 from ...config import option_registry
 

=== modified file 'breezy/plugins/email/emailer.py'
--- breezy/plugins/email/emailer.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/email/emailer.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-from __future__ import absolute_import
-
 import subprocess
 import tempfile
 

=== modified file 'breezy/plugins/fastimport/__init__.py'
--- breezy/plugins/fastimport/__init__.py	2019-10-13 16:49:05 +0000
+++ breezy/plugins/fastimport/__init__.py	2020-02-18 01:57:45 +0000
@@ -54,8 +54,6 @@
 page on Launchpad, https://launchpad.net/bzr-fastimport.
 """
 
-from __future__ import absolute_import
-
 from ... import version_info  # noqa: F401
 from ...commands import plugin_cmds
 

=== modified file 'breezy/plugins/fastimport/branch_mapper.py'
--- breezy/plugins/fastimport/branch_mapper.py	2018-07-03 23:54:50 +0000
+++ breezy/plugins/fastimport/branch_mapper.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 """An object that maps git ref names to bzr branch names.  Note that it is not
 used to map git ref names to bzr tag names."""
 
-from __future__ import absolute_import
-
 import re
 
 

=== modified file 'breezy/plugins/fastimport/branch_updater.py'
--- breezy/plugins/fastimport/branch_updater.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/fastimport/branch_updater.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 
 """An object that updates a bunch of branches based on data imported."""
 
-from __future__ import absolute_import
-
 from operator import itemgetter
 
 from ... import errors, osutils, transport

=== modified file 'breezy/plugins/fastimport/bzr_commit_handler.py'
--- breezy/plugins/fastimport/bzr_commit_handler.py	2019-09-22 13:03:16 +0000
+++ breezy/plugins/fastimport/bzr_commit_handler.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 
 """CommitHandlers that build and save revisions & their inventories."""
 
-from __future__ import absolute_import
-
 from ... import (
     debug,
     errors,

=== modified file 'breezy/plugins/fastimport/cache_manager.py'
--- breezy/plugins/fastimport/cache_manager.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/fastimport/cache_manager.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 
 """A manager of caches."""
 
-from __future__ import absolute_import
-
 import atexit
 import os
 import shutil

=== modified file 'breezy/plugins/fastimport/cmds.py'
--- breezy/plugins/fastimport/cmds.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/fastimport/cmds.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 
 """Fastimport/fastexport commands."""
 
-from __future__ import absolute_import
-
 from ... import controldir
 from ...commands import Command
 from ...option import Option, RegistryOption

=== modified file 'breezy/plugins/fastimport/exporter.py'
--- breezy/plugins/fastimport/exporter.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/fastimport/exporter.py	2020-02-18 01:57:45 +0000
@@ -41,8 +41,6 @@
 
 """Core engine for the fast-export command."""
 
-from __future__ import absolute_import
-
 # TODO: if a new_git_branch below gets merged repeatedly, the tip of the branch
 # is not updated (because the parent of commit is already merged, so we don't
 # set new_git_branch to the previously used name)

=== modified file 'breezy/plugins/fastimport/helpers.py'
--- breezy/plugins/fastimport/helpers.py	2019-03-18 04:31:21 +0000
+++ breezy/plugins/fastimport/helpers.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 
 """Miscellaneous useful stuff."""
 
-from __future__ import absolute_import
-
 import stat
 
 from ... import (

=== modified file 'breezy/plugins/fastimport/idmapfile.py'
--- breezy/plugins/fastimport/idmapfile.py	2018-07-03 23:54:50 +0000
+++ breezy/plugins/fastimport/idmapfile.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 
 """Routines for saving and loading the id-map file."""
 
-from __future__ import absolute_import
-
 import os
 
 

=== modified file 'breezy/plugins/fastimport/marks_file.py'
--- breezy/plugins/fastimport/marks_file.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/fastimport/marks_file.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 
 """Routines for reading/writing a marks file."""
 
-from __future__ import absolute_import
-
 from ...trace import warning
 
 

=== modified file 'breezy/plugins/fastimport/processors/__init__.py'
--- breezy/plugins/fastimport/processors/__init__.py	2017-05-24 14:51:33 +0000
+++ breezy/plugins/fastimport/processors/__init__.py	2020-02-18 01:57:45 +0000
@@ -14,5 +14,3 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 """Actual import processors."""
-
-from __future__ import absolute_import

=== modified file 'breezy/plugins/fastimport/processors/generic_processor.py'
--- breezy/plugins/fastimport/processors/generic_processor.py	2019-12-01 16:21:41 +0000
+++ breezy/plugins/fastimport/processors/generic_processor.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 
 """Import processor that supports all Bazaar repository formats."""
 
-from __future__ import absolute_import
-
 
 import time
 from .... import (

=== modified file 'breezy/plugins/fastimport/revision_store.py'
--- breezy/plugins/fastimport/revision_store.py	2020-01-19 13:47:29 +0000
+++ breezy/plugins/fastimport/revision_store.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 
 """An abstraction of a repository providing just the bits importing needs."""
 
-from __future__ import absolute_import
-
 from io import BytesIO
 
 from ... import (

=== modified file 'breezy/plugins/fastimport/tests/__init__.py'
--- breezy/plugins/fastimport/tests/__init__.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/fastimport/tests/__init__.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Tests for bzr-fastimport."""
 
-from __future__ import absolute_import
-
 from .... import errors as bzr_errors
 from ....tests import TestLoader
 from ....tests.features import Feature

=== modified file 'breezy/plugins/fastimport/tests/test_branch_mapper.py'
--- breezy/plugins/fastimport/tests/test_branch_mapper.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/fastimport/tests/test_branch_mapper.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 
 """Test the BranchMapper methods."""
 
-from __future__ import absolute_import
-
 from .... import tests
 
 from .. import (

=== modified file 'breezy/plugins/fastimport/tests/test_commands.py'
--- breezy/plugins/fastimport/tests/test_commands.py	2019-12-01 16:14:53 +0000
+++ breezy/plugins/fastimport/tests/test_commands.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 
 """Test the command implementations."""
 
-from __future__ import absolute_import
-
 import os
 import re
 import tempfile

=== modified file 'breezy/plugins/fastimport/tests/test_exporter.py'
--- breezy/plugins/fastimport/tests/test_exporter.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/fastimport/tests/test_exporter.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 
 """Test the exporter."""
 
-from __future__ import absolute_import
-
 import os
 import tempfile
 import gzip

=== modified file 'breezy/plugins/fastimport/tests/test_generic_processor.py'
--- breezy/plugins/fastimport/tests/test_generic_processor.py	2019-12-26 13:20:45 +0000
+++ breezy/plugins/fastimport/tests/test_generic_processor.py	2020-02-18 01:57:45 +0000
@@ -13,8 +13,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from __future__ import absolute_import
-
 import time
 
 from .... import (

=== modified file 'breezy/plugins/fastimport/tests/test_head_tracking.py'
--- breezy/plugins/fastimport/tests/test_head_tracking.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/fastimport/tests/test_head_tracking.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 
 """Test tracking of heads"""
 
-from __future__ import absolute_import
-
 from io import StringIO
 
 from fastimport import (

=== modified file 'breezy/plugins/fastimport/tests/test_revision_store.py'
--- breezy/plugins/fastimport/tests/test_revision_store.py	2019-09-21 23:05:12 +0000
+++ breezy/plugins/fastimport/tests/test_revision_store.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 
 """Direct tests of the revision_store classes."""
 
-from __future__ import absolute_import
-
 from .... import (
     branch,
     errors,

=== modified file 'breezy/plugins/fastimport/user_mapper.py'
--- breezy/plugins/fastimport/user_mapper.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/fastimport/user_mapper.py	2020-02-18 01:57:45 +0000
@@ -13,8 +13,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from __future__ import absolute_import
-
 from email.utils import parseaddr
 
 

=== modified file 'breezy/plugins/flake8/__init__.py'
--- breezy/plugins/flake8/__init__.py	2019-08-22 21:54:14 +0000
+++ breezy/plugins/flake8/__init__.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 """
 
 
-from __future__ import absolute_import
-
 from breezy.errors import BzrError, DependencyNotPresent
 
 

=== modified file 'breezy/plugins/fossil/__init__.py'
--- breezy/plugins/fossil/__init__.py	2019-11-09 16:27:41 +0000
+++ breezy/plugins/fossil/__init__.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 Currently only tells the user that Fossil is not supported.
 """
 
-from __future__ import absolute_import
-
 from ... import version_info  # noqa: F401
 
 from ... import (

=== modified file 'breezy/plugins/hg/__init__.py'
--- breezy/plugins/hg/__init__.py	2020-01-12 13:56:10 +0000
+++ breezy/plugins/hg/__init__.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 Currently only tells the user that Mercurial is not supported.
 """
 
-from __future__ import absolute_import
-
 from ... import (
     controldir,
     errors,

=== modified file 'breezy/plugins/launchpad/__init__.py'
--- breezy/plugins/launchpad/__init__.py	2019-02-14 19:18:27 +0000
+++ breezy/plugins/launchpad/__init__.py	2020-02-18 01:57:45 +0000
@@ -37,8 +37,6 @@
 
 """
 
-from __future__ import absolute_import
-
 # The XMLRPC server address can be overridden by setting the environment
 # variable $BRZ_LP_XMLRPC_URL
 

=== modified file 'breezy/plugins/launchpad/account.py'
--- breezy/plugins/launchpad/account.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/launchpad/account.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 than once for each place that needs to take it into account.
 """
 
-from __future__ import absolute_import
-
 from ... import (
     errors,
     trace,

=== modified file 'breezy/plugins/launchpad/cmds.py'
--- breezy/plugins/launchpad/cmds.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/launchpad/cmds.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Launchpad plugin commands."""
 
-from __future__ import absolute_import
-
 from ... import (
     branch as _mod_branch,
     controldir,

=== modified file 'breezy/plugins/launchpad/lp_api.py'
--- breezy/plugins/launchpad/lp_api.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/launchpad/lp_api.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Tools for dealing with the Launchpad API."""
 
-from __future__ import absolute_import
-
 # Importing this module will be expensive, since it imports launchpadlib and
 # its dependencies. However, our plan is to only load this module when it is
 # needed by a command that uses it.

=== modified file 'breezy/plugins/launchpad/lp_directory.py'
--- breezy/plugins/launchpad/lp_directory.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/launchpad/lp_directory.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Directory lookup that uses Launchpad."""
 
-from __future__ import absolute_import
-
 from urllib.parse import urlsplit
 from xmlrpc.client import Fault
 

=== modified file 'breezy/plugins/launchpad/lp_propose.py'
--- breezy/plugins/launchpad/lp_propose.py	2019-06-15 12:04:34 +0000
+++ breezy/plugins/launchpad/lp_propose.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from ... import (
     errors,
     hooks,

=== modified file 'breezy/plugins/launchpad/lp_registration.py'
--- breezy/plugins/launchpad/lp_registration.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/launchpad/lp_registration.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from io import BytesIO
 import os
 import socket

=== modified file 'breezy/plugins/launchpad/uris.py'
--- breezy/plugins/launchpad/uris.py	2019-10-27 00:30:00 +0000
+++ breezy/plugins/launchpad/uris.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Launchpad URIs."""
 
-from __future__ import absolute_import
-
 
 # We use production as the default because edge has been deprecated circa
 # 2010-11 (see bug https://bugs.launchpad.net/bzr/+bug/583667)

=== modified file 'breezy/plugins/mtn/__init__.py'
--- breezy/plugins/mtn/__init__.py	2019-11-06 01:31:41 +0000
+++ breezy/plugins/mtn/__init__.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 Currently only tells the user that Monotone is not supported.
 """
 
-from __future__ import absolute_import
-
 from ... import version_info  # noqa: F401
 
 from ... import (

=== modified file 'breezy/plugins/netrc_credential_store/__init__.py'
--- breezy/plugins/netrc_credential_store/__init__.py	2020-01-11 17:41:33 +0000
+++ breezy/plugins/netrc_credential_store/__init__.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 __doc__ = """Use ~/.netrc as a credential store for authentication.conf."""
 
 # Since we are a built-in plugin we share the breezy version

=== modified file 'breezy/plugins/news_merge/__init__.py'
--- breezy/plugins/news_merge/__init__.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/news_merge/__init__.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 __doc__ = """Merge hook for bzr's NEWS file.
 
 To enable this plugin, add a section to your branch.conf or location.conf

=== modified file 'breezy/plugins/news_merge/news_merge.py'
--- breezy/plugins/news_merge/news_merge.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/news_merge/news_merge.py	2020-02-18 01:57:45 +0000
@@ -16,9 +16,6 @@
 
 """Merge logic for news_merge plugin."""
 
-from __future__ import absolute_import
-
-
 from .parser import simple_parse_lines
 from ... import merge, merge3
 

=== modified file 'breezy/plugins/news_merge/parser.py'
--- breezy/plugins/news_merge/parser.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/news_merge/parser.py	2020-02-18 01:57:45 +0000
@@ -24,9 +24,6 @@
 simple_parse's docstring).
 """
 
-from __future__ import absolute_import
-
-
 def simple_parse_lines(lines):
     """Same as simple_parse, but takes an iterable of strs rather than a single
     str.

=== modified file 'breezy/plugins/po_merge/__init__.py'
--- breezy/plugins/po_merge/__init__.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/po_merge/__init__.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 __doc__ = """Merge hook for ``.po`` files.
 
 To enable this plugin, add a section to your branch.conf or location.conf

=== modified file 'breezy/plugins/po_merge/po_merge.py'
--- breezy/plugins/po_merge/po_merge.py	2018-11-21 03:20:30 +0000
+++ breezy/plugins/po_merge/po_merge.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Merge logic for po_merge plugin."""
 
-from __future__ import absolute_import
-
 from ... import (
     config,
     merge,

=== modified file 'breezy/plugins/propose/__init__.py'
--- breezy/plugins/propose/__init__.py	2019-10-27 13:45:49 +0000
+++ breezy/plugins/propose/__init__.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Management of hosted branches."""
 
-from __future__ import absolute_import
-
 from ... import version_info  # noqa: F401
 from ...commands import plugin_cmds
 

=== modified file 'breezy/plugins/propose/cmds.py'
--- breezy/plugins/propose/cmds.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/propose/cmds.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Propose command implementations."""
 
-from __future__ import absolute_import
-
 from io import StringIO
 
 from ... import (

=== modified file 'breezy/plugins/propose/github.py'
--- breezy/plugins/propose/github.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/propose/github.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Support for GitHub."""
 
-from __future__ import absolute_import
-
 import json
 import os
 

=== modified file 'breezy/plugins/propose/gitlabs.py'
--- breezy/plugins/propose/gitlabs.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/propose/gitlabs.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Support for GitLab."""
 
-from __future__ import absolute_import
-
 import json
 import os
 import time

=== modified file 'breezy/plugins/propose/launchpad.py'
--- breezy/plugins/propose/launchpad.py	2020-01-28 23:33:16 +0000
+++ breezy/plugins/propose/launchpad.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Support for Launchpad."""
 
-from __future__ import absolute_import
-
 import re
 import shutil
 import tempfile

=== modified file 'breezy/plugins/quilt/__init__.py'
--- breezy/plugins/quilt/__init__.py	2019-06-15 11:47:16 +0000
+++ breezy/plugins/quilt/__init__.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 #    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 #
 
-from __future__ import absolute_import
-
 """Quilt patch integration.
 
 This plugin adds support for three configuration options:

=== modified file 'breezy/plugins/quilt/merge.py'
--- breezy/plugins/quilt/merge.py	2019-06-15 11:47:16 +0000
+++ breezy/plugins/quilt/merge.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 
 """Quilt patch handling."""
 
-from __future__ import absolute_import
-
 import shutil
 import tempfile
 

=== modified file 'breezy/plugins/quilt/quilt.py'
--- breezy/plugins/quilt/quilt.py	2019-08-31 10:25:20 +0000
+++ breezy/plugins/quilt/quilt.py	2020-02-18 01:57:45 +0000
@@ -18,8 +18,6 @@
 
 """Quilt patch handling."""
 
-from __future__ import absolute_import
-
 import os
 
 from ... import osutils

=== modified file 'breezy/plugins/quilt/tests/__init__.py'
--- breezy/plugins/quilt/tests/__init__.py	2019-06-15 11:47:16 +0000
+++ breezy/plugins/quilt/tests/__init__.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 #    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 #
 
-from __future__ import absolute_import
-
 from .... import tests
 
 from ....tests import (

=== modified file 'breezy/plugins/quilt/tests/test_merge.py'
--- breezy/plugins/quilt/tests/test_merge.py	2019-06-16 13:10:54 +0000
+++ breezy/plugins/quilt/tests/test_merge.py	2020-02-18 01:57:45 +0000
@@ -18,8 +18,6 @@
 
 """Tests for the merge_quilt code."""
 
-from __future__ import absolute_import
-
 import os
 import shutil
 

=== modified file 'breezy/plugins/quilt/tests/test_wrapper.py'
--- breezy/plugins/quilt/tests/test_wrapper.py	2019-11-18 04:21:00 +0000
+++ breezy/plugins/quilt/tests/test_wrapper.py	2020-02-18 01:57:45 +0000
@@ -18,8 +18,6 @@
 
 """Tests for the quilt code."""
 
-from __future__ import absolute_import
-
 import os
 
 from ..wrapper import (

=== modified file 'breezy/plugins/quilt/wrapper.py'
--- breezy/plugins/quilt/wrapper.py	2019-11-18 04:21:00 +0000
+++ breezy/plugins/quilt/wrapper.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 
 """Quilt patch handling."""
 
-from __future__ import absolute_import
-
 import errno
 import os
 import signal

=== modified file 'breezy/plugins/repodebug/__init__.py'
--- breezy/plugins/repodebug/__init__.py	2019-10-13 16:49:05 +0000
+++ breezy/plugins/repodebug/__init__.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 as hidden commands.
 """
 
-from __future__ import absolute_import
-
 from ... import version_info  # noqa: F401
 from ...commands import plugin_cmds
 

=== modified file 'breezy/plugins/repodebug/check_chk.py'
--- breezy/plugins/repodebug/check_chk.py	2018-11-07 21:17:53 +0000
+++ breezy/plugins/repodebug/check_chk.py	2020-02-18 01:57:45 +0000
@@ -18,8 +18,6 @@
 
 """
 
-from __future__ import absolute_import
-
 from ... import (
     controldir,
     commands,

=== modified file 'breezy/plugins/repodebug/chk_used_by.py'
--- breezy/plugins/repodebug/chk_used_by.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/repodebug/chk_used_by.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from ... import (
     controldir,
     static_tuple,

=== modified file 'breezy/plugins/repodebug/fetch_all_records.py'
--- breezy/plugins/repodebug/fetch_all_records.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/repodebug/fetch_all_records.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-from __future__ import print_function
 
 from ...controldir import ControlDir
 from ...commands import Command, Option

=== modified file 'breezy/plugins/repodebug/file_refs.py'
--- breezy/plugins/repodebug/file_refs.py	2018-05-27 18:00:21 +0000
+++ breezy/plugins/repodebug/file_refs.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from ... import (
     controldir,
     commands,

=== modified file 'breezy/plugins/repodebug/missing_keys_for_stacking_fixer.py'
--- breezy/plugins/repodebug/missing_keys_for_stacking_fixer.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/repodebug/missing_keys_for_stacking_fixer.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from ...controldir import ControlDir
 from ...commands import Command, Option
 from ... import errors

=== modified file 'breezy/plugins/repodebug/repo_has_key.py'
--- breezy/plugins/repodebug/repo_has_key.py	2017-09-07 08:21:29 +0000
+++ breezy/plugins/repodebug/repo_has_key.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from ...controldir import ControlDir
 from ...commands import Command
 

=== modified file 'breezy/plugins/repodebug/repo_keys.py'
--- breezy/plugins/repodebug/repo_keys.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/repodebug/repo_keys.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from ... import controldir
 from ...commands import Command
 

=== modified file 'breezy/plugins/rewrite/__init__.py'
--- breezy/plugins/rewrite/__init__.py	2020-01-11 17:20:34 +0000
+++ breezy/plugins/rewrite/__init__.py	2020-02-18 01:57:45 +0000
@@ -21,8 +21,6 @@
 'rebase-continue' command or abort using the 'rebase-abort' command.
 """
 
-from __future__ import absolute_import
-
 from ... import errors
 from ...commands import plugin_cmds
 

=== modified file 'breezy/plugins/rewrite/commands.py'
--- breezy/plugins/rewrite/commands.py	2020-01-11 17:20:34 +0000
+++ breezy/plugins/rewrite/commands.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Bazaar command-line subcommands."""
 
-from __future__ import absolute_import
-
 from ...commands import (
     Command,
     display_command,

=== modified file 'breezy/plugins/rewrite/maptree.py'
--- breezy/plugins/rewrite/maptree.py	2020-01-19 13:47:29 +0000
+++ breezy/plugins/rewrite/maptree.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 """Map Tree."""
 
-from __future__ import absolute_import
-
 def map_file_ids(repository, old_parents, new_parents):
     """Try to determine the equivalent file ids in two sets of parents.
 

=== modified file 'breezy/plugins/rewrite/pseudonyms.py'
--- breezy/plugins/rewrite/pseudonyms.py	2020-01-11 17:20:34 +0000
+++ breezy/plugins/rewrite/pseudonyms.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Revision pseudonyms."""
 
-from __future__ import absolute_import
-
 from collections import defaultdict
 
 from breezy import (

=== modified file 'breezy/plugins/rewrite/rebase.py'
--- breezy/plugins/rewrite/rebase.py	2020-01-11 23:46:34 +0000
+++ breezy/plugins/rewrite/rebase.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Rebase."""
 
-from __future__ import absolute_import
-
 import os
 
 from ... import (

=== modified file 'breezy/plugins/rewrite/upgrade.py'
--- breezy/plugins/rewrite/upgrade.py	2020-01-11 17:20:34 +0000
+++ breezy/plugins/rewrite/upgrade.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Upgrading revisions made with older versions of the mapping."""
 
-from __future__ import absolute_import
-
 from ... import (
     osutils,
     trace,

=== modified file 'breezy/plugins/stats/__init__.py'
--- breezy/plugins/stats/__init__.py	2019-11-28 08:57:20 +0000
+++ breezy/plugins/stats/__init__.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 """A Simple bzr plugin to generate statistics about the history."""
 
-from __future__ import absolute_import
-
 from ... import _format_version_tuple, version_info
 
 __version__ = _format_version_tuple(version_info)

=== modified file 'breezy/plugins/stats/classify.py'
--- breezy/plugins/stats/classify.py	2019-11-28 08:57:20 +0000
+++ breezy/plugins/stats/classify.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 """Classify a commit based on the types of files it changed."""
 
-from __future__ import absolute_import
-
 import os.path
 
 from ... import urlutils

=== modified file 'breezy/plugins/stats/cmds.py'
--- breezy/plugins/stats/cmds.py	2019-12-23 00:34:25 +0000
+++ breezy/plugins/stats/cmds.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 """A Simple bzr plugin to generate statistics about the history."""
 
-from __future__ import absolute_import
-
 import operator
 
 from ... import (

=== modified file 'breezy/plugins/stats/test_blackbox.py'
--- breezy/plugins/stats/test_blackbox.py	2019-11-28 08:57:20 +0000
+++ breezy/plugins/stats/test_blackbox.py	2020-02-18 01:57:45 +0000
@@ -1,5 +1,3 @@
-from __future__ import absolute_import
-
 from ...tests import TestCaseWithTransport
 
 

=== modified file 'breezy/plugins/stats/test_classify.py'
--- breezy/plugins/stats/test_classify.py	2017-06-01 23:52:12 +0000
+++ breezy/plugins/stats/test_classify.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-from __future__ import absolute_import
-
 from ...tests import TestCase
 from .classify import classify_filename
 

=== modified file 'breezy/plugins/stats/test_stats.py'
--- breezy/plugins/stats/test_stats.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/stats/test_stats.py	2020-02-18 01:57:45 +0000
@@ -1,5 +1,3 @@
-from __future__ import absolute_import
-
 from ...tests import TestCase, TestCaseWithTransport
 from ...revision import Revision
 from .cmds import get_revisions_and_committers, collapse_by_person

=== modified file 'breezy/plugins/svn/__init__.py'
--- breezy/plugins/svn/__init__.py	2020-01-13 00:27:14 +0000
+++ breezy/plugins/svn/__init__.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 Currently only tells the user that Subversion is not supported.
 """
 
-from __future__ import absolute_import
-
 from ... import version_info  # noqa: F401
 
 from ... import (

=== modified file 'breezy/plugins/upload/__init__.py'
--- breezy/plugins/upload/__init__.py	2018-11-18 19:48:57 +0000
+++ breezy/plugins/upload/__init__.py	2020-02-18 01:57:45 +0000
@@ -131,8 +131,6 @@
 
 """
 
-from __future__ import absolute_import
-
 # TODO: the chmod bits *can* be supported via the upload protocols
 # (i.e. poorly), but since the web developers use these protocols to upload
 # manually, it is expected that the associated web server is coherent with

=== modified file 'breezy/plugins/upload/cmds.py'
--- breezy/plugins/upload/cmds.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/upload/cmds.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """bzr-upload command implementations."""
 
-from __future__ import absolute_import
-
 from ... import (
     commands,
     config,

=== modified file 'breezy/plugins/weave_fmt/__init__.py'
--- breezy/plugins/weave_fmt/__init__.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/weave_fmt/__init__.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 These were formats present in pre-1.0 version of Bazaar.
 """
 
-from __future__ import absolute_import
-
 # Since we are a built-in plugin we share the breezy version
 from ... import version_info  # noqa: F401
 

=== modified file 'breezy/plugins/weave_fmt/branch.py'
--- breezy/plugins/weave_fmt/branch.py	2020-01-18 04:16:23 +0000
+++ breezy/plugins/weave_fmt/branch.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Weave-era branch implementations."""
 
-from __future__ import absolute_import
-
 from ... import (
     errors,
     lockable_files,

=== modified file 'breezy/plugins/weave_fmt/bzrdir.py'
--- breezy/plugins/weave_fmt/bzrdir.py	2020-01-31 10:39:02 +0000
+++ breezy/plugins/weave_fmt/bzrdir.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Weave-era BzrDir formats."""
 
-from __future__ import absolute_import
-
 from io import BytesIO
 
 from ...bzr.bzrdir import (

=== modified file 'breezy/plugins/weave_fmt/repository.py'
--- breezy/plugins/weave_fmt/repository.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/weave_fmt/repository.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 ghosts.
 """
 
-from __future__ import absolute_import
-
 import gzip
 from io import BytesIO
 import os

=== modified file 'breezy/plugins/weave_fmt/store/__init__.py'
--- breezy/plugins/weave_fmt/store/__init__.py	2018-11-17 16:53:10 +0000
+++ breezy/plugins/weave_fmt/store/__init__.py	2020-02-18 01:57:45 +0000
@@ -24,8 +24,6 @@
 unique ID.
 """
 
-from __future__ import absolute_import
-
 import os
 
 from .... import (

=== modified file 'breezy/plugins/weave_fmt/store/text.py'
--- breezy/plugins/weave_fmt/store/text.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/weave_fmt/store/text.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 do any sort of delta compression.
 """
 
-from __future__ import absolute_import
-
 import gzip
 from io import BytesIO
 import os

=== modified file 'breezy/plugins/weave_fmt/store/versioned.py'
--- breezy/plugins/weave_fmt/store/versioned.py	2018-11-11 04:08:32 +0000
+++ breezy/plugins/weave_fmt/store/versioned.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 # XXX: Some consideration of the problems that might occur if there are
 # files whose id differs only in case.  That should probably be forbidden.
 

=== modified file 'breezy/plugins/weave_fmt/test_bzrdir.py'
--- breezy/plugins/weave_fmt/test_bzrdir.py	2019-09-21 23:05:12 +0000
+++ breezy/plugins/weave_fmt/test_bzrdir.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 For interface contract tests, see tests/per_bzr_dir.
 """
 
-from __future__ import absolute_import
-
 import os
 import sys
 

=== modified file 'breezy/plugins/weave_fmt/test_repository.py'
--- breezy/plugins/weave_fmt/test_repository.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/weave_fmt/test_repository.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 
 """
 
-from __future__ import absolute_import
-
 from io import BytesIO
 from stat import S_ISDIR
 import sys

=== modified file 'breezy/plugins/weave_fmt/test_workingtree.py'
--- breezy/plugins/weave_fmt/test_workingtree.py	2019-02-14 03:30:18 +0000
+++ breezy/plugins/weave_fmt/test_workingtree.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Tests for weave-era working tree formats."""
 
-from __future__ import absolute_import
-
 import os
 
 from ... import (

=== modified file 'breezy/plugins/weave_fmt/workingtree.py'
--- breezy/plugins/weave_fmt/workingtree.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/weave_fmt/workingtree.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Weave-era working tree objects."""
 
-from __future__ import absolute_import
-
 from io import BytesIO
 
 from ... import (

=== modified file 'breezy/plugins/weave_fmt/xml4.py'
--- breezy/plugins/weave_fmt/xml4.py	2020-01-31 02:56:40 +0000
+++ breezy/plugins/weave_fmt/xml4.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from ...bzr.xml_serializer import (
     Element,
     SubElement,

=== modified file 'breezy/plugins/zsh_completion/__init__.py'
--- breezy/plugins/zsh_completion/__init__.py	2019-10-05 12:22:19 +0000
+++ breezy/plugins/zsh_completion/__init__.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 __doc__ = """Generate a shell function for zsh command line completion.
 """
 

=== modified file 'breezy/plugins/zsh_completion/zshcomp.py'
--- breezy/plugins/zsh_completion/zshcomp.py	2020-02-07 02:14:30 +0000
+++ breezy/plugins/zsh_completion/zshcomp.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from ... import (
     cmdline,
     commands,

=== modified file 'breezy/progress.py'
--- breezy/progress.py	2018-11-12 01:41:38 +0000
+++ breezy/progress.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 will manage a conceptual stack of nested activities.
 """
 
-from __future__ import absolute_import
-
 import time
 import os
 

=== modified file 'breezy/propose.py'
--- breezy/propose.py	2020-01-28 23:33:16 +0000
+++ breezy/propose.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Helper functions for proposing merges."""
 
-from __future__ import absolute_import
-
 from . import (
     errors,
     hooks,

=== modified file 'breezy/push.py'
--- breezy/push.py	2019-06-29 19:54:32 +0000
+++ breezy/push.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """UI helper for the push command."""
 
-from __future__ import absolute_import
-
 from . import (
     branch as _mod_branch,
     controldir,

=== modified file 'breezy/pyutils.py'
--- breezy/pyutils.py	2018-11-11 04:08:32 +0000
+++ breezy/pyutils.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """General Python convenience functions."""
 
-from __future__ import absolute_import
-
 import sys
 
 

=== modified file 'breezy/reconcile.py'
--- breezy/reconcile.py	2019-06-02 02:35:46 +0000
+++ breezy/reconcile.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Reconcilers are able to fix some potential data errors in a branch."""
 
-from __future__ import absolute_import
-
 __all__ = [
     'reconcile',
     'Reconciler',

=== modified file 'breezy/reconfigure.py'
--- breezy/reconfigure.py	2019-06-26 20:58:23 +0000
+++ breezy/reconfigure.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 constructing a class or using a factory method on Reconfigure.
 """
 
-from __future__ import absolute_import
-
 
 from . import (
     branch,

=== modified file 'breezy/recordcounter.py'
--- breezy/recordcounter.py	2018-11-11 04:08:32 +0000
+++ breezy/recordcounter.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Record counting support for showing progress of revision fetch."""
 
-from __future__ import absolute_import
-
 
 class RecordCounter(object):
     """Container for maintains estimates of work requires for fetch.

=== modified file 'breezy/registry.py'
--- breezy/registry.py	2020-02-07 02:14:30 +0000
+++ breezy/registry.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Classes to provide name-to-object registry-like support."""
 
-from __future__ import absolute_import
-
 from .pyutils import get_named_object
 
 

=== modified file 'breezy/rename_map.py'
--- breezy/rename_map.py	2020-02-07 02:14:30 +0000
+++ breezy/rename_map.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from io import BytesIO
 
 from . import (

=== modified file 'breezy/repository.py'
--- breezy/repository.py	2020-02-07 02:14:30 +0000
+++ breezy/repository.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from .lazy_import import lazy_import
 lazy_import(globals(), """
 import time

=== modified file 'breezy/revision.py'
--- breezy/revision.py	2020-02-07 02:14:30 +0000
+++ breezy/revision.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 # TODO: Some kind of command-line display of revision properties:
 # perhaps show them in log -v and allow them as options to the commit command.
 

=== modified file 'breezy/revisionspec.py'
--- breezy/revisionspec.py	2020-02-07 02:14:30 +0000
+++ breezy/revisionspec.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 
 from .lazy_import import lazy_import
 lazy_import(globals(), """

=== modified file 'breezy/revisiontree.py'
--- breezy/revisiontree.py	2018-11-16 18:33:17 +0000
+++ breezy/revisiontree.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """RevisionTree - a Tree implementation backed by repository data for a revision."""
 
-from __future__ import absolute_import
-
 from io import BytesIO
 from . import (
     lock,

=== modified file 'breezy/rio.py'
--- breezy/rio.py	2020-02-07 02:14:30 +0000
+++ breezy/rio.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 # \subsection{\emph{rio} - simple text metaformat}
 #
 # \emph{r} stands for `restricted', `reproducible', or `rfc822-like'.

=== modified file 'breezy/rules.py'
--- breezy/rules.py	2019-06-16 01:03:51 +0000
+++ breezy/rules.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 See ``bzr help rules`` for details.
 """
 
-from __future__ import absolute_import
-
 import configobj
 
 from . import (

=== modified file 'breezy/send.py'
--- breezy/send.py	2019-06-29 19:54:32 +0000
+++ breezy/send.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import os
 import time
 

=== modified file 'breezy/shelf.py'
--- breezy/shelf.py	2019-06-22 11:16:17 +0000
+++ breezy/shelf.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import errno
 import re
 

=== modified file 'breezy/shelf_ui.py'
--- breezy/shelf_ui.py	2020-02-07 02:14:30 +0000
+++ breezy/shelf_ui.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import contextlib
 import patiencediff
 import shutil

=== modified file 'breezy/shellcomplete.py'
--- breezy/shellcomplete.py	2018-11-11 04:08:32 +0000
+++ breezy/shellcomplete.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import sys
 
 

=== modified file 'breezy/smtp_connection.py'
--- breezy/smtp_connection.py	2020-02-07 02:14:30 +0000
+++ breezy/smtp_connection.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """A convenience class around smtplib."""
 
-from __future__ import absolute_import
-
 from email.utils import getaddresses, parseaddr
 
 import errno

=== modified file 'breezy/static_tuple.py'
--- breezy/static_tuple.py	2017-05-22 00:56:52 +0000
+++ breezy/static_tuple.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Interface thunk for a StaticTuple implementation."""
 
-from __future__ import absolute_import
-
 from . import debug
 
 try:

=== modified file 'breezy/status.py'
--- breezy/status.py	2019-06-29 19:50:18 +0000
+++ breezy/status.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import sys
 
 from . import (

=== modified file 'breezy/strace.py'
--- breezy/strace.py	2018-11-12 01:41:38 +0000
+++ breezy/strace.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Support for running strace against the current process."""
 
-from __future__ import absolute_import
-
 import os
 import signal
 import subprocess

=== modified file 'breezy/switch.py'
--- breezy/switch.py	2019-06-16 19:15:57 +0000
+++ breezy/switch.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 # Original author: David Allouche
 
 from . import (

=== modified file 'breezy/symbol_versioning.py'
--- breezy/symbol_versioning.py	2019-01-04 20:49:00 +0000
+++ breezy/symbol_versioning.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 The methods here allow for api symbol versioning.
 """
 
-from __future__ import absolute_import
-
 __all__ = ['deprecated_function',
            'deprecated_in',
            'deprecated_list',

=== modified file 'breezy/tag.py'
--- breezy/tag.py	2020-02-07 02:14:30 +0000
+++ breezy/tag.py	2020-02-18 01:57:45 +0000
@@ -22,8 +22,6 @@
   Branch.tags.add('name', 'value')
 """
 
-from __future__ import absolute_import
-
 from collections import defaultdict
 import contextlib
 

=== modified file 'breezy/terminal.py'
--- breezy/terminal.py	2020-01-31 02:14:55 +0000
+++ breezy/terminal.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import os
 import sys
 

=== modified file 'breezy/tests/__init__.py'
--- breezy/tests/__init__.py	2020-02-13 23:57:28 +0000
+++ breezy/tests/__init__.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Testing framework extensions"""
 
-from __future__ import absolute_import
-
 # NOTE: Some classes in here use camelCaseNaming() rather than
 # underscore_naming().  That's for consistency with unittest; it's not the
 # general style of breezy.  Please continue that consistency when adding e.g.

=== modified file 'breezy/tests/blackbox/test_bisect.py'
--- breezy/tests/blackbox/test_bisect.py	2019-03-05 09:17:49 +0000
+++ breezy/tests/blackbox/test_bisect.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Tests of the 'brz bisect' command."""
 
-from __future__ import absolute_import
-
 import os
 import shutil
 import stat

=== modified file 'breezy/tests/blackbox/test_log.py'
--- breezy/tests/blackbox/test_log.py	2020-02-07 02:14:30 +0000
+++ breezy/tests/blackbox/test_log.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Black-box tests for brz log."""
 
-from __future__ import absolute_import
-
 
 import os
 

=== modified file 'breezy/tests/features.py'
--- breezy/tests/features.py	2019-05-28 21:46:09 +0000
+++ breezy/tests/features.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 """A collection of commonly used 'Features' to optionally run tests.
 """
 
-from __future__ import absolute_import
-
 import importlib
 import os
 import subprocess

=== modified file 'breezy/tests/test__rio.py'
--- breezy/tests/test__rio.py	2020-02-07 02:14:30 +0000
+++ breezy/tests/test__rio.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Tests for _rio_*."""
 
-from __future__ import absolute_import
-
 from .. import (
     rio,
     tests,

=== modified file 'breezy/tests/test_bisect.py'
--- breezy/tests/test_bisect.py	2020-02-07 02:14:30 +0000
+++ breezy/tests/test_bisect.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 "Test suite for the bzr bisect plugin."
 
-from __future__ import absolute_import
-
 from io import StringIO
 import os
 import shutil

=== modified file 'breezy/tests/test_fetch_ghosts.py'
--- breezy/tests/test_fetch_ghosts.py	2018-05-22 02:05:12 +0000
+++ breezy/tests/test_fetch_ghosts.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from ..fetch_ghosts import GhostFetcher
 from . import TestCaseWithTransport
 

=== modified file 'breezy/tests/test_grep.py'
--- breezy/tests/test_grep.py	2020-02-07 02:14:30 +0000
+++ breezy/tests/test_grep.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import os
 import re
 import unicodedata as ud

=== modified file 'breezy/tests/test_osutils.py'
--- breezy/tests/test_osutils.py	2020-02-07 02:14:30 +0000
+++ breezy/tests/test_osutils.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Tests for the osutils wrapper."""
 
-from __future__ import absolute_import, division
-
 import errno
 from io import BytesIO
 import os

=== modified file 'breezy/tests/test_source.py'
--- breezy/tests/test_source.py	2019-06-02 05:13:10 +0000
+++ breezy/tests/test_source.py	2020-02-18 01:57:45 +0000
@@ -444,23 +444,3 @@
             error_msg.extend(('', ''))
         if error_msg:
             self.fail('\n'.join(error_msg))
-
-    def test_feature_absolute_import(self):
-        """Using absolute imports means avoiding unnecesary stat and
-        open calls.
-
-        Make sure that all non-test files have absolute imports enabled.
-        """
-        missing_absolute_import = []
-        for fname, text in self.get_source_file_contents(
-                extensions=('.py', '.pyx')):
-            if "/tests/" in fname or "test_" in fname:
-                # We don't really care about tests
-                continue
-            if "from __future__ import absolute_import" not in text:
-                missing_absolute_import.append(fname)
-
-        if missing_absolute_import:
-            self.fail(
-                'The following files do not have absolute_import enabled:\n'
-                '\n' + '\n'.join(missing_absolute_import))

=== modified file 'breezy/tests/test_views.py'
--- breezy/tests/test_views.py	2018-11-11 04:08:32 +0000
+++ breezy/tests/test_views.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 from . import TestCase
 
 from ..views import (

=== modified file 'breezy/tests/ui_testing.py'
--- breezy/tests/ui_testing.py	2020-02-07 02:14:30 +0000
+++ breezy/tests/ui_testing.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import io
 
 from .. import (

=== modified file 'breezy/textfile.py'
--- breezy/textfile.py	2018-06-18 00:19:26 +0000
+++ breezy/textfile.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Utilities for distinguishing binary files from text files"""
 
-from __future__ import absolute_import
-
 from itertools import chain
 
 from .errors import BinaryFile

=== modified file 'breezy/textmerge.py'
--- breezy/textmerge.py	2019-03-02 21:46:18 +0000
+++ breezy/textmerge.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 # Author: Martin Pool <mbp@canonical.com>
 #         Aaron Bentley <aaron.bentley@utoronto.ca>
 
-from __future__ import absolute_import
-
 from .lazy_import import lazy_import
 lazy_import(globals(), """
 import patiencediff

=== modified file 'breezy/timestamp.py'
--- breezy/timestamp.py	2018-11-11 04:08:32 +0000
+++ breezy/timestamp.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import calendar
 import time
 import re

=== modified file 'breezy/trace.py'
--- breezy/trace.py	2020-02-07 02:14:30 +0000
+++ breezy/trace.py	2020-02-18 01:57:45 +0000
@@ -45,8 +45,6 @@
 form.
 """
 
-from __future__ import absolute_import
-
 # FIXME: Unfortunately it turns out that python's logging module
 # is quite expensive, even when the message is not printed by any handlers.
 # We should perhaps change back to just simply doing it here.

=== modified file 'breezy/transactions.py'
--- breezy/transactions.py	2018-11-11 04:08:32 +0000
+++ breezy/transactions.py	2020-02-18 01:57:45 +0000
@@ -36,8 +36,6 @@
 the object is an expensive one for obtaining.
 """
 
-from __future__ import absolute_import
-
 import sys
 
 from . import errors as errors

=== modified file 'breezy/transform.py'
--- breezy/transform.py	2020-02-13 23:57:28 +0000
+++ breezy/transform.py	2020-02-18 01:57:45 +0000
@@ -14,8 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import contextlib
 import os
 import errno

=== modified file 'breezy/transport/__init__.py'
--- breezy/transport/__init__.py	2020-02-07 02:14:30 +0000
+++ breezy/transport/__init__.py	2020-02-18 01:57:45 +0000
@@ -26,8 +26,6 @@
 it.
 """
 
-from __future__ import absolute_import
-
 import errno
 from io import BytesIO
 import sys

=== modified file 'breezy/transport/brokenrename.py'
--- breezy/transport/brokenrename.py	2018-11-11 04:08:32 +0000
+++ breezy/transport/brokenrename.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 """Transport implementation that doesn't detect clashing renames.
 """
 
-from __future__ import absolute_import
-
 from .. import (
     errors,
     urlutils,

=== modified file 'breezy/transport/chroot.py'
--- breezy/transport/chroot.py	2017-05-22 00:56:52 +0000
+++ breezy/transport/chroot.py	2020-02-18 01:57:45 +0000
@@ -18,8 +18,6 @@
 root.
 """
 
-from __future__ import absolute_import
-
 from . import (
     pathfilter,
     register_transport,

=== modified file 'breezy/transport/decorator.py'
--- breezy/transport/decorator.py	2018-11-11 04:08:32 +0000
+++ breezy/transport/decorator.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 stub functions to allow other decorators to be written easily.
 """
 
-from __future__ import absolute_import
-
 from . import (Transport, get_transport)
 
 

=== modified file 'breezy/transport/fakenfs.py'
--- breezy/transport/fakenfs.py	2018-11-11 04:08:32 +0000
+++ breezy/transport/fakenfs.py	2020-02-18 01:57:45 +0000
@@ -22,8 +22,6 @@
 To get a fake nfs transport use get_transport('fakenfs+' + real_url)
 """
 
-from __future__ import absolute_import
-
 from stat import S_ISDIR
 
 from .. import (

=== modified file 'breezy/transport/fakevfat.py'
--- breezy/transport/fakevfat.py	2018-11-11 04:08:32 +0000
+++ breezy/transport/fakevfat.py	2020-02-18 01:57:45 +0000
@@ -38,8 +38,6 @@
 
 """
 
-from __future__ import absolute_import
-
 import re
 
 from . import decorator

=== modified file 'breezy/transport/gio_transport.py'
--- breezy/transport/gio_transport.py	2020-02-07 02:14:30 +0000
+++ breezy/transport/gio_transport.py	2020-02-18 01:57:45 +0000
@@ -24,8 +24,6 @@
 supported by gio.
 """
 
-from __future__ import absolute_import
-
 from io import BytesIO
 import os
 import random

=== modified file 'breezy/transport/http/__init__.py'
--- breezy/transport/http/__init__.py	2020-02-07 02:14:30 +0000
+++ breezy/transport/http/__init__.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 There are separate implementation modules for each http client implementation.
 """
 
-from __future__ import absolute_import
-
 DEBUG = 0
 
 import base64

=== modified file 'breezy/transport/http/ca_bundle.py'
--- breezy/transport/http/ca_bundle.py	2017-05-22 00:56:52 +0000
+++ breezy/transport/http/ca_bundle.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Auto-detect of CA bundle for SSL connections"""
 
-from __future__ import absolute_import
-
 import os
 import sys
 from ...trace import mutter

=== modified file 'breezy/transport/http/response.py'
--- breezy/transport/http/response.py	2020-02-07 02:14:30 +0000
+++ breezy/transport/http/response.py	2020-02-18 01:57:45 +0000
@@ -21,8 +21,6 @@
 responses.
 """
 
-from __future__ import absolute_import
-
 import cgi
 from io import BytesIO
 import os

=== modified file 'breezy/transport/http/wsgi.py'
--- breezy/transport/http/wsgi.py	2018-11-11 04:08:32 +0000
+++ breezy/transport/http/wsgi.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
     http://www.python.org/dev/peps/pep-0333/
 """
 
-from __future__ import absolute_import
-
 from io import BytesIO
 
 from ...bzr.smart import medium

=== modified file 'breezy/transport/local.py'
--- breezy/transport/local.py	2019-03-04 00:16:27 +0000
+++ breezy/transport/local.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 This is a fairly thin wrapper on regular file IO.
 """
 
-from __future__ import absolute_import
-
 import os
 from stat import ST_MODE, S_ISDIR, S_IMODE
 import sys

=== modified file 'breezy/transport/log.py'
--- breezy/transport/log.py	2019-06-16 19:53:27 +0000
+++ breezy/transport/log.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Transport decorator that logs transport operations to brz.log."""
 
-from __future__ import absolute_import
-
 # see also the transportstats plugin, which gives you some summary information
 # in a machine-readable dump
 

=== modified file 'breezy/transport/memory.py'
--- breezy/transport/memory.py	2019-03-04 01:49:32 +0000
+++ breezy/transport/memory.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 so this is primarily useful for testing.
 """
 
-from __future__ import absolute_import
-
 import contextlib
 from io import (
     BytesIO,

=== modified file 'breezy/transport/nosmart.py'
--- breezy/transport/nosmart.py	2018-11-11 04:08:32 +0000
+++ breezy/transport/nosmart.py	2020-02-18 01:57:45 +0000
@@ -21,8 +21,6 @@
 to never have a smart medium.
 """
 
-from __future__ import absolute_import
-
 from .. import errors
 from ..transport import decorator
 

=== modified file 'breezy/transport/pathfilter.py'
--- breezy/transport/pathfilter.py	2018-11-11 04:08:32 +0000
+++ breezy/transport/pathfilter.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """A transport decorator that filters all paths that are passed to it."""
 
-from __future__ import absolute_import
-
 from .. import urlutils
 
 from . import (

=== modified file 'breezy/transport/readonly.py'
--- breezy/transport/readonly.py	2017-05-22 00:56:52 +0000
+++ breezy/transport/readonly.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Implementation of Transport that adapts another transport to be readonly."""
 
-from __future__ import absolute_import
-
 from ..errors import TransportNotPossible, NoSmartMedium
 from ..transport import decorator
 

=== modified file 'breezy/transport/remote.py'
--- breezy/transport/remote.py	2020-02-07 02:14:30 +0000
+++ breezy/transport/remote.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 imported from breezy.bzr.smart.
 """
 
-from __future__ import absolute_import
-
 __all__ = ['RemoteTransport', 'RemoteTCPTransport', 'RemoteSSHTransport']
 
 from io import BytesIO

=== modified file 'breezy/transport/sftp.py'
--- breezy/transport/sftp.py	2020-02-07 02:14:30 +0000
+++ breezy/transport/sftp.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Implementation of Transport over SFTP, using paramiko."""
 
-from __future__ import absolute_import
-
 # TODO: Remove the transport-based lock_read and lock_write methods.  They'll
 # then raise TransportNotPossible, which will break remote access to any
 # formats which rely on OS-level locks.  That should be fine as those formats

=== modified file 'breezy/transport/ssh.py'
--- breezy/transport/ssh.py	2019-06-26 00:13:55 +0000
+++ breezy/transport/ssh.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Foundation SSH support for SFTP and smart server."""
 
-from __future__ import absolute_import
-
 import errno
 import getpass
 import logging

=== modified file 'breezy/transport/trace.py'
--- breezy/transport/trace.py	2018-11-18 19:48:57 +0000
+++ breezy/transport/trace.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 and then delegates it.
 """
 
-from __future__ import absolute_import
-
 from ..transport import decorator
 
 

=== modified file 'breezy/transport/unlistable.py'
--- breezy/transport/unlistable.py	2018-11-11 04:08:32 +0000
+++ breezy/transport/unlistable.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Transport implementation that disables listing to simulate HTTP cheaply."""
 
-from __future__ import absolute_import
-
 from ..transport import Transport
 from ..transport import decorator
 

=== modified file 'breezy/tree.py'
--- breezy/tree.py	2020-02-13 23:57:28 +0000
+++ breezy/tree.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 """Tree classes, representing directory at point in time.
 """
 
-from __future__ import absolute_import
-
 try:
     from collections.abc import deque
 except ImportError:  # python < 3.7

=== modified file 'breezy/treebuilder.py'
--- breezy/treebuilder.py	2018-05-27 16:53:07 +0000
+++ breezy/treebuilder.py	2020-02-18 01:57:45 +0000
@@ -20,8 +20,6 @@
 can be extremely useful in testing for instance.
 """
 
-from __future__ import absolute_import
-
 from . import errors
 
 

=== modified file 'breezy/tsort.py'
--- breezy/tsort.py	2018-11-16 12:25:18 +0000
+++ breezy/tsort.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Topological sorting routines."""
 
-from __future__ import absolute_import
-
 
 from . import (
     errors,

=== modified file 'breezy/tuned_gzip.py'
--- breezy/tuned_gzip.py	2018-11-11 04:08:32 +0000
+++ breezy/tuned_gzip.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """Legacy breezy specific gzip tunings."""
 
-from __future__ import absolute_import
-
 import struct
 import zlib
 

=== modified file 'breezy/ui/__init__.py'
--- breezy/ui/__init__.py	2020-02-07 02:14:30 +0000
+++ breezy/ui/__init__.py	2020-02-18 01:57:45 +0000
@@ -41,8 +41,6 @@
     back to working through the terminal.
 """
 
-from __future__ import absolute_import
-
 import warnings
 
 from ..lazy_import import lazy_import

=== modified file 'breezy/ui/text.py'
--- breezy/ui/text.py	2020-02-07 02:14:30 +0000
+++ breezy/ui/text.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Text UI, write output to the console."""
 
-from __future__ import absolute_import
-
 import codecs
 import io
 import os

=== modified file 'breezy/uncommit.py'
--- breezy/uncommit.py	2018-11-12 01:41:38 +0000
+++ breezy/uncommit.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Remove the last revision from the history of the current branch."""
 
-from __future__ import absolute_import
-
 # TODO: make the guts of this methods on tree, branch.
 
 from . import (

=== modified file 'breezy/upgrade.py'
--- breezy/upgrade.py	2019-07-07 17:24:23 +0000
+++ breezy/upgrade.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """brz upgrade logic."""
 
-from __future__ import absolute_import
-
 from . import (
     errors,
     trace,

=== modified file 'breezy/upstream_import.py'
--- breezy/upstream_import.py	2020-02-07 02:14:30 +0000
+++ breezy/upstream_import.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Import upstream source into a branch"""
 
-from __future__ import absolute_import
-
 import errno
 from io import (
     BytesIO,

=== modified file 'breezy/url_policy_open.py'
--- breezy/url_policy_open.py	2019-06-09 19:08:17 +0000
+++ breezy/url_policy_open.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Branch opening with URL-based restrictions."""
 
-from __future__ import absolute_import
-
 import threading
 
 from . import (

=== modified file 'breezy/urlutils.py'
--- breezy/urlutils.py	2020-02-07 02:14:30 +0000
+++ breezy/urlutils.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """A collection of function for handling URL operations."""
 
-from __future__ import absolute_import
-
 import os
 import re
 import sys

=== modified file 'breezy/utextwrap.py'
--- breezy/utextwrap.py	2018-11-11 04:08:32 +0000
+++ breezy/utextwrap.py	2020-02-18 01:57:45 +0000
@@ -23,8 +23,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 import textwrap
 from unicodedata import east_asian_width as _eawidth
 

=== modified file 'breezy/util/__init__.py'
--- breezy/util/__init__.py	2011-12-18 15:28:38 +0000
+++ breezy/util/__init__.py	2020-02-18 01:57:45 +0000
@@ -1,1 +0,0 @@
-from __future__ import absolute_import

=== modified file 'breezy/util/_bencode_py.py'
--- breezy/util/_bencode_py.py	2020-02-07 02:14:30 +0000
+++ breezy/util/_bencode_py.py	2020-02-18 01:57:45 +0000
@@ -15,8 +15,6 @@
 #
 # Modifications copyright (C) 2008 Canonical Ltd
 
-from __future__ import absolute_import
-
 import sys
 
 

=== modified file 'breezy/util/simplemapi.py'
--- breezy/util/simplemapi.py	2018-11-11 04:08:32 +0000
+++ breezy/util/simplemapi.py	2020-02-18 01:57:45 +0000
@@ -36,8 +36,6 @@
 software, please contact me at the above email address.
 """
 
-from __future__ import absolute_import
-
 import os
 from ctypes import *
 

=== modified file 'breezy/version.py'
--- breezy/version.py	2020-02-07 02:14:30 +0000
+++ breezy/version.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Report on version of breezy"""
 
-from __future__ import absolute_import
-
 import os
 import platform
 import sys

=== modified file 'breezy/version_info_formats/__init__.py'
--- breezy/version_info_formats/__init__.py	2019-06-30 12:59:05 +0000
+++ breezy/version_info_formats/__init__.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """Routines for extracting all version information from a bzr branch."""
 
-from __future__ import absolute_import
-
 import time
 
 from breezy.osutils import local_time_offset, format_date

=== modified file 'breezy/version_info_formats/format_custom.py'
--- breezy/version_info_formats/format_custom.py	2020-02-07 02:14:30 +0000
+++ breezy/version_info_formats/format_custom.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 """A generator which creates a template-based output from the current
    tree info."""
 
-from __future__ import absolute_import
-
 import codecs
 
 from breezy import errors

=== modified file 'breezy/version_info_formats/format_python.py'
--- breezy/version_info_formats/format_python.py	2020-01-31 17:43:44 +0000
+++ breezy/version_info_formats/format_python.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """A generator which creates a python script from the current tree info"""
 
-from __future__ import absolute_import
-
 import pprint
 
 from breezy import errors

=== modified file 'breezy/version_info_formats/format_rio.py'
--- breezy/version_info_formats/format_rio.py	2018-11-11 04:08:32 +0000
+++ breezy/version_info_formats/format_rio.py	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 
 """A generator which creates a rio stanza of the current tree info"""
 
-from __future__ import absolute_import
-
 from breezy import (
     errors,
     hooks,

=== modified file 'breezy/views.py'
--- breezy/views.py	2018-11-12 01:41:38 +0000
+++ breezy/views.py	2020-02-18 01:57:45 +0000
@@ -22,8 +22,6 @@
   tree.views.lookup_view()
 """
 
-from __future__ import absolute_import
-
 import re
 
 from . import (

=== modified file 'breezy/win32utils.py'
--- breezy/win32utils.py	2019-06-16 15:37:44 +0000
+++ breezy/win32utils.py	2020-02-18 01:57:45 +0000
@@ -19,8 +19,6 @@
 Only one dependency: ctypes should be installed.
 """
 
-from __future__ import absolute_import
-
 import glob
 import os
 import struct

=== modified file 'breezy/workingtree.py'
--- breezy/workingtree.py	2020-02-07 02:14:30 +0000
+++ breezy/workingtree.py	2020-02-18 01:57:45 +0000
@@ -27,8 +27,6 @@
 WorkingTree.open(dir).
 """
 
-from __future__ import absolute_import
-
 import contextlib
 import errno
 import os

=== modified file 'brz'
--- brz	2020-02-14 00:49:06 +0000
+++ brz	2020-02-18 01:57:45 +0000
@@ -16,8 +16,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import absolute_import
-
 """Breezy -- a free distributed version-control tool"""
 
 import os

=== modified file 'profile_imports.py'
--- profile_imports.py	2018-11-18 19:48:57 +0000
+++ profile_imports.py	2020-02-18 01:57:45 +0000
@@ -17,8 +17,6 @@
 
 """A custom importer and regex compiler which logs time spent."""
 
-from __future__ import absolute_import
-
 import re
 import sys
 import time
@@ -108,8 +106,6 @@
     # /usr/lib/python2.6/email/__init__.py then there may be only one
     # parameter
     # level has different default between Python 2 and 3, but codebase
-    # uses `from __future__ import absolute_import` so can just use 0.
-
     if globals is None:
         # can't determine the scope name afaics; we could peek up the stack to
         # see where this is being called from, but it should be a rare case.

=== modified file 'tools/brzflakes.py'
--- tools/brzflakes.py	2018-11-16 11:37:47 +0000
+++ tools/brzflakes.py	2020-02-18 01:57:45 +0000
@@ -1,7 +1,5 @@
 #!/usr/bin/python3
 
-from __future__ import absolute_import
-
 import ast
 
 from pyflakes.checker import Checker, ImportationFrom

=== modified file 'tools/capture_tree.py'
--- tools/capture_tree.py	2018-11-17 16:19:11 +0000
+++ tools/capture_tree.py	2020-02-18 01:57:45 +0000
@@ -8,8 +8,6 @@
 This can be useful in tests that need to recreate directory
 contents."""
 
-from __future__ import print_function
-
 import os
 import sys
 

=== modified file 'tools/prepare_for_latex.py'
--- tools/prepare_for_latex.py	2020-01-31 17:43:44 +0000
+++ tools/prepare_for_latex.py	2020-02-18 01:57:45 +0000
@@ -26,8 +26,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-from __future__ import print_function
-
 import os
 import re
 import shutil

